﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CompanyRegParameter.ascx.cs" Inherits="MQAWeb.Forms.Admin.General.CompanyRegParameter" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1.Export, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView.Export" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxMenu" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxTabControl" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxClasses" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxHiddenField" tagprefix="dx" %>
    <%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPanel" tagprefix="dx" %>
<%@ Register src="EmailParameter.ascx" tagname="EmailParameter" tagprefix="uc1" %>
    <table width="100%" cellpadding="0" cellspacing="2" border=0>
    <tr><td colspan="2" class="sectheader">Please Provide Registration Information:</td></tr>
    <tr><td colspan="2"><hr/></td></tr>
     <tr><td nowrap="nowrap" style="width:10%">Company:</td>
     <td>
        <dx:ASPxTextBox ID="txtRegCompName" runat="server" Width="100%" 
            ClientInstanceName="txtRegCompName" EnableClientSideAPI="True" 
            NullText="[Please enter Your Company Name]">
            <ValidationSettings SetFocusOnError="True" Display="Dynamic">
                <RequiredField ErrorText="Company Name is Mandatory" IsRequired="True" />
            </ValidationSettings>
        </dx:ASPxTextBox>
         </td>
         </tr>
    <tr>
    <td nowrap="nowrap">Web Site Address:</td>
    <td>
        <dx:ASPxTextBox ID="txtRegCompWeb" runat="server" Width="100%" 
            ClientInstanceName="txtRegCompWeb" EnableClientSideAPI="True">
            <ValidationSettings Display="Dynamic">
                <RequiredField ErrorText=" " />
            </ValidationSettings>
        </dx:ASPxTextBox>
    </td>    
  </tr>  
  <tr><td colspan="2" class="sectheader">Contact Details:</td></tr>
  <tr><td colspan="2"><hr/></td></tr>
  <tr>
    <td nowrap="nowrap">Contact Person:</td>
    <td>
        <dx:ASPxTextBox ID="txtRegCompPerson" runat="server" Width="100%" 
            ClientInstanceName="txtRegCompPerson" EnableClientSideAPI="True" 
            NullText="[Please enter the Contact Person]">
            <ValidationSettings SetFocusOnError="True" Display="Dynamic">
                <RequiredField ErrorText="Contact Person is Mandatory" IsRequired="True" />
            </ValidationSettings>
        </dx:ASPxTextBox>
    </td>    
    </tr>
    <tr>
    <td nowrap="nowrap">Contact Number:</td>
    <td>
        <dx:ASPxTextBox ID="txtRegCompNumber" runat="server" Width="100%" 
            ClientInstanceName="txtRegCompNumber" EnableClientSideAPI="True" 
            NullText="[Please enter the Contact Number]">
            <ValidationSettings SetFocusOnError="True" Display="Dynamic">
                <RegularExpression ErrorText="Invalid Contact Number" />
                <RequiredField ErrorText="Contact Number is Mandatory" IsRequired="True" />
            </ValidationSettings>
        </dx:ASPxTextBox>
    </td>    
  </tr>
  <tr><td colspan="2">&nbsp</td></tr>
  <tr>
  <td colspan="2"><dx:ASPxCheckBox ID="chkSendInfo" runat="server" Checked="True" CheckState="Checked" Text="Send Registration Information to MQAttach">
      </dx:ASPxCheckBox></td>
  </tr>
  <tr><td colspan="2" class="sectheader">SMTP Settings</td></tr>
  <tr><td colspan="2"><hr/></td></tr>
  <tr>
  <td colspan="2"><span style="width:100%; height:200px">
    <asp:PlaceHolder ID="placeSMTP" runat="server"></asp:PlaceHolder></span></td></tr>
  <tr>
  <td style="height:100px" colspan="2"><img id="Img1" src="~/images/logo.png" width="200" runat=server
                    style="padding: 0px; float: right; height: 59px;"/></td>
  </tr>

  <tr>
  <td style="height:100px" colspan="2">&nbsp;</td>
  </tr>
  </table>