﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Monitors.ascx.cs" Inherits="MQAWeb.Forms.FTE.Agents.Widgets.Monitors" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<script>
    function OnViewLastMessage(note) 
    {
        cbPanel.PerformCallback('MonitorLastMessage!' + note);
    }
</script>
        <dx:ASPxGridView ID="grdData" runat="server" AutoGenerateColumns="False" 
            ClientInstanceName="grdData" Width="100%" KeyFieldName="ReferenceId" 
            oncustomcolumndisplaytext="grdData_CustomColumnDisplayText">
            <SettingsBehavior ColumnResizeMode="Control" />
            <ClientSideEvents CallbackError="function(s, e) 
{

}" EndCallback="function(s, e) 
{
}" BeginCallback="function(s, e) 
{
}" CustomButtonClick="function(s, e) 
{
	e.processOnServer = false;
    grdData.GetRowValues(e.visibleIndex, 'LastMessage',OnViewLastMessage);
}" />
            <Columns>
                <dx:GridViewDataTextColumn VisibleIndex="0" 
                    FieldName="Status" Name="colMonStatus" ReadOnly="True" SortIndex="0" 
                    SortOrder="Ascending" Width="15%" Caption="Status">
                    <DataItemTemplate>
                        <img style="width:40px; height: 40px;" src="<%#Eval("ImageSource")%>" class="statusiconpic"/>
                    </DataItemTemplate>
                    <CellStyle HorizontalAlign="Center">
                    </CellStyle>
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn VisibleIndex="1" Caption="Name" 
                    FieldName="Name" Name="colMonName" ReadOnly="True" Width="20%">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataDateColumn Caption="Last Update" FieldName="LastUpdate" 
                    Name="colMonLastUpdate" ReadOnly="True" VisibleIndex="3" Width="15%">
                </dx:GridViewDataDateColumn>
                 <dx:GridViewDataSpinEditColumn Caption="ST. Count" FieldName="MonitorFound" 
                    Name="colMonMSCount" ReadOnly="True" ToolTip="Satisfied Trigger Count" 
                    VisibleIndex="4">
                    <PropertiesSpinEdit DisplayFormatString="g" NumberType="Integer">
                    </PropertiesSpinEdit>
                </dx:GridViewDataSpinEditColumn>
                <dx:GridViewDataSpinEditColumn Caption="UST. Count" FieldName="MonitorNotFound" 
                    Name="colMonMUCount" ReadOnly="True" ToolTip="Un-Satisfied Trigger Count" 
                    VisibleIndex="5">
                    <PropertiesSpinEdit DisplayFormatString="g" NumberType="Integer">
                    </PropertiesSpinEdit>
                </dx:GridViewDataSpinEditColumn>
                 <dx:GridViewDataSpinEditColumn Caption="FT. Count" FieldName="MonitorErrors" 
                    Name="colMonMFCount" ReadOnly="True" ToolTip="Failed Trigger Count" 
                    VisibleIndex="6">
                    <PropertiesSpinEdit DisplayFormatString="g" NumberType="Integer">
                    </PropertiesSpinEdit>
                </dx:GridViewDataSpinEditColumn>
                 <dx:GridViewDataTextColumn Caption="Reference" FieldName="ReferenceId" 
                    ReadOnly="True" Visible="False" VisibleIndex="9">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Trigger Information" 
                    FieldName="TriggerSummary" Name="colMonTrigSumm" ReadOnly="True" 
                    VisibleIndex="2" Width="25%">
                </dx:GridViewDataTextColumn>
                <dx:GridViewCommandColumn ButtonType="Image" Caption="Last Message" 
                    Name="colLast" VisibleIndex="8">
                    <ClearFilterButton Visible="True">
                    </ClearFilterButton>
                    <CustomButtons>
                        <dx:GridViewCommandColumnCustomButton Text="View Last Message">
                            <Image Url="~/images/General/infosmall.png" Height="32px" 
                                ToolTip="click here to View the Last Received Message" Width="32px">
                            </Image>
                        </dx:GridViewCommandColumnCustomButton>
                    </CustomButtons>
                </dx:GridViewCommandColumn>
                <dx:GridViewDataTextColumn Caption="Last Message" FieldName="LastMessage" 
                    Name="colLastMessageText" ReadOnly="True" Visible="False" VisibleIndex="10">
                </dx:GridViewDataTextColumn>
            </Columns>
            <Settings ShowGroupPanel="True" ShowFilterBar="Auto" 
                ShowHorizontalScrollBar="True" ShowVerticalScrollBar="True" 
                VerticalScrollableHeight="350" />
        </dx:ASPxGridView>        