﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CommandDetail.ascx.cs" Inherits="MQAWeb.Forms.FTE.Reporting.Widgets.CommandDetail" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
        <%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1.Export, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView.Export" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxMenu" tagprefix="dx" %>

        <%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxTabControl" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxClasses" tagprefix="dx" %>

        <dx:ASPxGridViewExporter ID="grdCommandExport" runat="server" 
    GridViewID="grdCommandData" Landscape="True" 
    onrenderbrick="grdCommandExport_RenderBrick">
</dx:ASPxGridViewExporter>

        <dx:ASPxGridView ID="grdCommandData" runat="server" AutoGenerateColumns="False" 
            ClientInstanceName="grdCommandData" Width="100%" KeyFieldName="Type"
    onhtmldatacellprepared="grdCommandData_HtmlDataCellPrepared" 
    EnableRowsCache="False" onhtmlrowprepared="grdCommandData_HtmlRowPrepared" 
    oncustomcolumndisplaytext="grdCommandData_CustomColumnDisplayText">
                <Templates>
                    <PreviewRow>
                        <div style="width:100%">
                        
                            <dx:ASPxPageControl ID="tabCommands" runat="server" ActiveTabIndex="0" 
                                Height="250px" Width="100%">
                                <TabPages>
                                    <dx:TabPage Name="tabStdOut" Text="Standard Output">
                                        <ContentCollection>
                                            <dx:ContentControl runat="server">
                                                <dx:ASPxMemo ID="memCmdStandard" runat="server" Font-Names="Consolas" 
                                                    Height="200px" ReadOnly="True" Text='<%# Eval("StandardOutput") %>' Width="100%">
                                                </dx:ASPxMemo>
                                            </dx:ContentControl>
                                        </ContentCollection>
                                    </dx:TabPage>
                                    <dx:TabPage Name="tabStdError" Text="Standard Error">
                                        <ContentCollection>
                                            <dx:ContentControl runat="server">
                                                <dx:ASPxMemo ID="memCmdError" runat="server" Font-Names="Consolas" Height="200px" 
                                                    ReadOnly="True" Text='<%# Eval("StandardError") %>' Width="100%">
                                                </dx:ASPxMemo>
                                            </dx:ContentControl>
                                        </ContentCollection>
                                    </dx:TabPage>
                                </TabPages>
                            </dx:ASPxPageControl>
                        </div>
                    </PreviewRow>
            </Templates>
            <SettingsBehavior ColumnResizeMode="Control"/>
                <SettingsCookies Enabled="True" StorePaging="False" />
            <Columns>
                 <dx:GridViewDataTextColumn Caption="Command" FieldName="Command" 
                    Name="colCmdCommand" ReadOnly="True" VisibleIndex="0" Width="20%">
                </dx:GridViewDataTextColumn>
                 <dx:GridViewDataTextColumn Caption="Type" FieldName="Type" 
                    Name="colCmdType" ReadOnly="True" VisibleIndex="1" Visible="false" 
                     SortIndex="1" SortOrder="Ascending">
                </dx:GridViewDataTextColumn>
                 <dx:GridViewDataTextColumn Caption="Arguments" FieldName="CommandArgs" 
                     Name="colCmdArgs" ReadOnly="True" VisibleIndex="2" Width="40%">
                 </dx:GridViewDataTextColumn>
                 <dx:GridViewDataTextColumn Caption="Type" FieldName="CommandTypeDesc" 
                     Name="colCmdTypeDesc" ReadOnly="True" VisibleIndex="3" Width="15%" 
                     GroupIndex="0" SortIndex="0" SortOrder="Ascending">
                 </dx:GridViewDataTextColumn>
                 <dx:GridViewDataDateColumn Caption="Exec. Date" FieldName="ExecDate" 
                     Name="colCmdExec" VisibleIndex="4" Width="15%">
                 </dx:GridViewDataDateColumn>
                 <dx:GridViewDataTextColumn Caption="Result" FieldName="Result" 
                     Name="colCmdResult" ReadOnly="True" VisibleIndex="5" Width="12%">
                 </dx:GridViewDataTextColumn>
                 <dx:GridViewDataSpinEditColumn Caption="Retry Count" FieldName="RetryCount" 
                     Name="colCmdRetry" ReadOnly="True" VisibleIndex="6" Width="8%">
                     <PropertiesSpinEdit DisplayFormatString="g">
                     </PropertiesSpinEdit>
                     <HeaderStyle HorizontalAlign="Right" />
                     <CellStyle HorizontalAlign="Right">
                     </CellStyle>
                 </dx:GridViewDataSpinEditColumn>
            </Columns>
            <Settings ShowFilterBar="Auto" 
                ShowHorizontalScrollBar="True" ShowVerticalScrollBar="True" 
                VerticalScrollableHeight="350" ShowPreview="True" 
                    ShowGroupPanel="True"/>
        </dx:ASPxGridView>        