﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DetailDashboard.ascx.cs" Inherits="MQAWeb.Forms.FTE.Reporting.Widgets.DetailDashboard" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxLoadingPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPopupControl" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Xpo.v11.1.Web, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Xpo" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1.Export, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView.Export" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxMenu" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxHiddenField" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxDocking" tagprefix="dx" %>
<script type="text/javascript">
    function OnFocusRow()
    {
        // routine to set the initial focus
        if (grdJobData.GetVisibleRowsOnPage() > 0) 
        {
            grdJobData.SetFocusedRowIndex(0);
            key = grdJobData.GetRowKey(0);
            if (key != null && key != '')
                OnJobSelect(key);
        }    
    }
    function UpdateTransactionPanel(jobId) 
    {
        // routine to update the Transaction Panel when the job Changes
        if (pnlTransactions.IsVisible() && !pnlTransactions.InCallback()) 
        {
            pnlTransactions.PerformCallback(jobId);
        }
    }
</script>
<h2>
<asp:Label ID="lblTitle" runat="server" Text="[Title]" CssClass="sectionheader"></asp:Label>
    </h2>
            <div class="widgetPanel">
            <dx:ASPxImage ID="imgJobs" runat="server" ImageUrl="~/images/Agent/ping.png" 
                    Cursor="pointer" CssClass="statusiconpic"
                    ClientInstanceName="widgetButton_jobs" 
                ToolTip="Show Job View">
                <ClientSideEvents Click="function(s, e) {
	ShowWidgetPanel('jobs');
}" />
                </dx:ASPxImage>
            <dx:ASPxImage ID="imgTransactions" runat="server" CssClass="statusiconpic"
                ImageUrl="~/images/Agent/middletransfer.png" Cursor="pointer"
                    ClientInstanceName="widgetButton_transactions" 
                ToolTip="Show Job Transactions">
                <ClientSideEvents Click="function(s, e) {
	ShowWidgetPanel('transactions');
}" />
                </dx:ASPxImage>
    </div>

    <dx:ASPxDockPanel runat="server" ID="pnlTransactions" 
    PanelUID="transactions" Width="600px" Height="100px"
        AllowResize="true" OwnerZoneUID="leftZone" ShowHeader="true" VisibleIndex="1" 
            HeaderText="Transactions" onload="pnlTransactions_Load" 
    onwindowcallback="pnlTransactions_WindowCallback" 
    ClientInstanceName="pnlTransactions" EnableClientSideAPI="True">      
    </dx:ASPxDockPanel>
        <dx:ASPxDockPanel runat="server" ID="pnlJobs" PanelUID="jobs" Width="600px" Height="100px"
        AllowResize="true" OwnerZoneUID="leftZone" ShowHeader="true" VisibleIndex="0" 
            HeaderText="Jobs" onload="pnlJobs_Load">
            <ContentCollection>
<dx:PopupControlContentControl runat="server"></dx:PopupControlContentControl>
</ContentCollection>
    </dx:ASPxDockPanel>

        <dx:ASPxDockZone runat="server" ID="LeftZone" 
            ZoneUID="leftZone" PanelSpacing="10" Width="100%" Height="200px">
        </dx:ASPxDockZone>        
        
       <dx:ASPxDockManager ID="dockMan" runat="server" FreezeLayout="False"  
           ClientInstanceName="dockMan">
        <ClientSideEvents PanelCloseUp="function(s, e) {
	SetWidgetButtonVisible(e.panel.panelUID, true);
}" PanelShown="function(s, e) 
{
	SetWidgetButtonVisible(e.panel.panelUID, false);
}" />
    </dx:ASPxDockManager>