﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPages/CompanyPage.master" AutoEventWireup="true" CodeBehind="SystemDashboard.aspx.cs" Inherits="MQAWeb.Forms.FTE.Sys.SystemDashboard" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxLoadingPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPopupControl" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Xpo.v11.1.Web, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Xpo" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1.Export, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView.Export" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxMenu" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxHiddenField" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxDocking" tagprefix="dx" %>
<asp:Content ID="Content1" ContentPlaceHolderID="headerContent" runat="server">

<script type="text/javascript">
    var timerOn = 0;
    var t;
    function CheckTimer(e) {
        // routine to check the timer and update it if neccessary
        if (e != null)
            e.processOnServer = false;
        var refreshValue = spnRefresh.GetValue() * 1000;
        if (timerOn == 1)
            ClearTimer(e);
        if (refreshValue > 0) {
            t = window.setTimeout('OnRefresh()', refreshValue);
            timerOn = 1;
        }
    }

    function ClearTimer(e) {
        // clear the timer
        if (e != null)
            e.processOnServer = false;
        if (timerOn == 1) {
            window.clearTimeout(t);
            timerOn = 0;
            t = undefined;
        }
    }
    function OnRefresh() 
    {
        // routine to refresh the screen
        PerformCallback('Refresh', '');
    }
    function OnUpdateProfile(parms) 
    {
        var sendParms = parms + '!' + spnRefresh.GetValue();
        PerformCallback('UpdateProfile', sendParms);
    }
    function OnCheckTimer(e) {
        // routine to check the timer and update it if neccessary
        CheckTimer(e);
        document.title = '<%=Session["Title"]%> FTE System Overview ' + document.getElementById('<%= lblTitle.ClientID %>').innerHTML;
    }

    function OnPageRefresh(status, imagePath) 
    {
        // routine to update the screen with updated content
        imgStatus.SetImageUrl(imagePath);
        document.getElementById('<%= lblTitle.ClientID %>').innerHTML = status;

        // refresh all visible panels
        var panels = dockMan.GetPanels();
        var count = panels.length;
        for (var i = 0; i < count; i++) {
            if (panels[i].IsVisible() && !panels[i].InCallback())
                panels[i].RefreshContentUrl();
        }
    }
</script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="topContent" runat="server">
<p id="links"><a href="javascript:OnUpdateProfile('~/Forms/frmLogin.aspx');">Home</a> | <a href="javascript:OnUpdateProfile('~/Forms/frmDashboard.aspx');">Back</a></p>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="pageContent" runat="server">
<h2>
            <dx:ASPxImage ID="imgStatus"
            runat="server" ClientInstanceName="imgStatus" CssClass="statusiconpic" 
        EnableClientSideAPI="True">
        </dx:ASPxImage>
        <asp:Label ID="lblTitle" runat="server" Text="[Status]" CssClass="sectionheader"></asp:Label>
    </h2>
    <div class="note" style="width:97%; height:70%">
        <div class="widgetPanel">
            <dx:ASPxImage ID="imgGauge" runat="server" ImageUrl="~/images/General/info.png" 
                Cursor="pointer" CssClass="statusiconpic"
                    ClientInstanceName="widgetButton_gauge" 
                ToolTip="Show System Overview">
                <ClientSideEvents Click="function(s, e) {
	ShowWidgetPanel('gauge');
}" />
                </dx:ASPxImage>
            <dx:ASPxImage ID="imgCounts" runat="server" CssClass="statusiconpic"
                ImageUrl="~/images/Dashboard/group_report.png" Cursor="pointer"
                    ClientInstanceName="widgetButton_counts" 
                ToolTip="Show Transfer Statistics for the Day">
                <ClientSideEvents Click="function(s, e) {
	ShowWidgetPanel('counts');
}" />
                </dx:ASPxImage>

            <dx:ASPxImage ID="imgMonitors" runat="server" CssClass="statusiconpic"
                ImageUrl="~/images/Agent/activity.png" Cursor="pointer"
                    ClientInstanceName="widgetButton_monitors" 
                ToolTip="Show Agent Monitors">
                <ClientSideEvents Click="function(s, e) {
	ShowWidgetPanel('monitors');
}" />
                </dx:ASPxImage>
            <dx:ASPxImage ID="imgTransactions" runat="server" 
                ImageUrl="~/images/Agent/middletransfer.png" Cursor="pointer" CssClass="statusiconpic"
                    ClientInstanceName="widgetButton_transactions" 
                ToolTip="Show Agent Transactions">
                <ClientSideEvents Click="function(s, e) {
	ShowWidgetPanel('transactions');
}" />
                </dx:ASPxImage>


    </div>
    <dx:ASPxDockPanel runat="server" ID="pnlGauge" PanelUID="gauge" 
            VisibleIndex="0" Width="600px" Height="600px" ShowHeader="true" 
            AllowResize="true" OwnerZoneUID="topZone" 
            HeaderText="System Overview" onload="pnlGauge_Load">
        <ContentCollection>
<dx:PopupControlContentControl runat="server"></dx:PopupControlContentControl>
</ContentCollection>
    </dx:ASPxDockPanel>
    
    <dx:ASPxDockPanel runat="server" ID="pnlCounts" PanelUID="counts" 
            Width="320px" Height="320px"
        AllowResize="true" OwnerZoneUID="topZone" ShowHeader="true" VisibleIndex="1" 
            HeaderText="Statistics for the Day" onload="pnlCounts_Load">
        <ContentCollection>
<dx:PopupControlContentControl ID="PopupControlContentControl1" runat="server"></dx:PopupControlContentControl>
</ContentCollection>
    </dx:ASPxDockPanel>

    <dx:ASPxDockPanel runat="server" ID="pnlMonitors" PanelUID="monitors" Width="550px" Height="300px"
        AllowResize="true" OwnerZoneUID="bottomZone" ShowHeader="true" VisibleIndex="0" 
            HeaderText="FTE Monitors" onload="pnlMonitors_Load">
        <ContentCollection>
<dx:PopupControlContentControl runat="server"></dx:PopupControlContentControl>
</ContentCollection>
    </dx:ASPxDockPanel>
    <dx:ASPxDockPanel runat="server" ID="pnlTransactions" PanelUID="transactions" 
            Width="550px" Height="300px"
        AllowResize="true" OwnerZoneUID="bottomZone" ShowHeader="true" VisibleIndex="1" 
            HeaderText="FTE Transaction Breakdown" onload="pnlTransactions_Load">
        <ContentCollection>
<dx:PopupControlContentControl runat="server"></dx:PopupControlContentControl>
</ContentCollection>
    </dx:ASPxDockPanel>

    <table width="100%" cellpadding="1" cellspacing="10">
    <tr>
    <td>
        <dx:ASPxDockZone runat="server" ID="TopZone" 
            ZoneUID="topZone" PanelSpacing="10" Width="100%" Height="850px">
        </dx:ASPxDockZone>        
    </td>
    </tr>
    <tr>
    <td>
        <dx:ASPxDockZone runat="server" ID="BottomZone" ZoneUID="bottomZone" PanelSpacing="10" Width="100%">
        </dx:ASPxDockZone>
    </td>
    </tr>
    </table>
            <dx:ASPxDockManager ID="dockMan" runat="server" FreezeLayout="False" 
            ClientInstanceName="dockMan">
        <ClientSideEvents PanelCloseUp="function(s, e) {
	SetWidgetButtonVisible(e.panel.panelUID, true);
}" PanelShown="function(s, e) 
{
	SetWidgetButtonVisible(e.panel.panelUID, false);
}" />
    </dx:ASPxDockManager>
</div>
<hr class="clear" />
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="footerContent" runat="server">
    <table cellpadding="0" cellspacing="2" width="80%"  style="float:left">
        <tr>
             <td>
            <dx:aspxbutton ID="btnRefresh" runat="server" Text="Refresh" Width="100%" 
                     ClientInstanceName="btnRefresh" ToolTip="click here to Refresh the Display" 
                     AutoPostBack="False">
                <ClientSideEvents Click="function(s, e) {
	e.processOnServer = false;
	OnRefresh();
}" />
            </dx:aspxbutton>             
            </td>
             <td>
                 &nbsp;</td>

            <td nowrap="nowrap" style="color:black">Auto-Refresh:</td>
            <td><dx:ASPxSpinEdit ID="spnRefresh" runat="server" Height="21px" Number="0" 
                    Width="100%" ClientInstanceName="spnRefresh" EnableClientSideAPI="True" 
                    MaxValue="200"></dx:ASPxSpinEdit></td>
        </tr>
    </table>
    </asp:Content>

<asp:Content ID="Content8" ContentPlaceHolderID="hiddenControlsContent" runat="server">
            <dx:aspxcallback ID="cbPanel" runat="server" ClientInstanceName="cbPanel" 
            oncallback="cbPanel_Callback">
                <ClientSideEvents BeginCallback="function(s, e) 
{
	CallbackStartTimer(e);
}" CallbackComplete="function(s, e) 
{
	CallbackComplete(e);
}" EndCallback="function(s, e) 
{
OnCheckTimer(e);
}" CallbackError="function(s, e) 
{
	CallbackError(e);
}" />
        </dx:aspxcallback>
     <dx:ASPxHiddenField ID="hdnField" runat="server" ClientInstanceName="hdnField">
     </dx:ASPxHiddenField>
                         <dx:ASPxLoadingPanel ID="cbLoading" runat="server" 
         ClientInstanceName="cbLoading" Modal="True">
     </dx:ASPxLoadingPanel>
                    <dx:ASPxPopupControl ID="popupWin" runat="server" ClientInstanceName="popupWin" 
        CloseAction="CloseButton" EnableClientSideAPI="True" 
        PopupHorizontalAlign="WindowCenter" PopupVerticalAlign="WindowCenter" Modal="True" 
                ShowPageScrollbarWhenModal="True" ShowSizeGrip="True" AllowResize="True" 
                AutoUpdatePosition="True" EnableAnimation="true" AllowDragging=true>
                        <ContentStyle>
                            <Paddings Padding="0px" />
                        </ContentStyle>
                        <ContentCollection>
<dx:PopupControlContentControl runat="server"></dx:PopupControlContentControl>
</ContentCollection>
                        <ClientSideEvents CloseUp="function(s, e) {
	// routine to handle the result from the popup
	PopupResultTimer(e);
}" PopUp="function(s, e) 
{
	ShowLoading();
}" Shown="function(s, e) 
{
	    ClearTimer(e);
	HideLoading();
}" />
    </dx:ASPxPopupControl>

            </asp:Content>