﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPages/CompanyPage.master" AutoEventWireup="true" CodeBehind="Airport.aspx.cs" Inherits="MQAWeb.Forms.Reports.Archive.Airport" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxLoadingPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPopupControl" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Xpo.v11.1.Web, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Xpo" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1.Export, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView.Export" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxMenu" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxHiddenField" tagprefix="dx" %>
<asp:Content ID="Content1" ContentPlaceHolderID="headerContent" runat="server">
<script type="text/javascript">
    function OnReportRefresh() 
    {
        // routine to refresh the screen
        if (!grdData.InCallback())
            grdData.PerformCallback();
    }
    function OnFilterSelect(urlparms) 
    {
        // routine to select the filter for the report
        var url = '<%=ResolveUrl("~/Forms/frmDialog.aspx")%>?UserControl=~/Forms/UserControls/Filters/DateDeptFilter.ascx';
        var title = 'Report Filter Parameters';
        url += '&Title=' + title;
        url += '&SubTitle=Please provide the Filter Details' + urlparms;
        showPopupWindow(popupWin, null, url, title, 500, 280, 100, 50);
    }
    function OnExport(s)
    {
        popMenu.ShowAtElement(s.GetMainElement());
    }
    function OnPerformCallback(operation, parms) 
    {
        // routine to perform a call back on the form
        cbPanel.PerformCallback(operation + '!' + parms);
    }
</script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="topContent" runat="server">
<p id="links"><a href="javascript:OnPerformCallback('UpdateProfile', '~/Forms/frmLogin.aspx');">Home</a> | <a href="javascript:OnPerformCallback('UpdateProfile', '~/Forms/frmDashboard.aspx');">Back</a></p>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="titleContent" runat="server">
Archive Reporting
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="pageContent" runat="server">
<h2>
    <asp:Label ID="lblArchive" runat="server" 
        Text="Archive Reporting" CssClass="sectionheader"></asp:Label>
    </h2>
    <div class="note" style="width:97%; height:70%">

        <dx:ASPxGridViewExporter ID="gridViewExport" runat="server" 
            GridViewID="grdData" Landscape="True" 
            onrenderbrick="gridViewExport_RenderBrick" ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Tahoma;}{\f1\fnil\fcharset0 Times New Roman;}}
\viewkind4\uc1\pard\b\f0\fs28 [Header]\f1\fs20\par
}
">
            <Styles>
                <Default Font-Names="Tahoma">
                </Default>
                <Header Font-Bold="False" Font-Names="Tahoma">
                </Header>
                <Cell Font-Names="Tahoma">
                </Cell>
                <GroupRow Font-Names="Tahoma">
                </GroupRow>
                <Title Font-Bold="True" Font-Names="Tahoma" Font-Size="Large"></Title>
            </Styles>
        </dx:ASPxGridViewExporter>

        <dx:ASPxGridView ID="grdData" runat="server" AutoGenerateColumns="False" 
            ClientInstanceName="grdData" Width="100%" KeyFieldName="TransactionId" 
            oncustomcallback="grdData_CustomCallback" 
            onhtmlrowprepared="grdData_HtmlRowPrepared" 
            oncustomcolumndisplaytext="grdData_CustomColumnDisplayText">
            <Templates>
                <TitlePanel>
                <div><b><%=hdnField.Get("Filter").ToString()%></b></div>
                </TitlePanel>
            </Templates>
            <SettingsBehavior ColumnResizeMode="Control" />
            <SettingsPager PageSize="12">
            </SettingsPager>
            <SettingsCookies CookiesID="MQA" Enabled="True" />
            <ClientSideEvents CallbackError="function(s, e) 
{
e.handled = true;
	 handleAjaxResponse(e.message)
}" />
            <Columns>
                <dx:GridViewDataTextColumn VisibleIndex="0" Caption="TransactionId" 
                    FieldName="TransactionId" Name="colTransactionId" ReadOnly="True" 
                    Width="300px">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataDateColumn VisibleIndex="1" Caption="Started" 
                    FieldName="StartDate" Name="colStarted" ReadOnly="True" Width="300px">
                </dx:GridViewDataDateColumn>
                <dx:GridViewDataDateColumn VisibleIndex="2" Caption="Completed" 
                    FieldName="CompleteDate" Name="colCompleted" ReadOnly="True" Width="300px">
                </dx:GridViewDataDateColumn>
                <dx:GridViewDataTextColumn VisibleIndex="3" Caption="Job Name" 
                    FieldName="JobName" Name="colJobName" Width="400px">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn VisibleIndex="4" Caption="Source" 
                    FieldName="SourceAgent" Name="colSourceAgent" Width="300px">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn VisibleIndex="5" Caption="Destination" 
                    Name="colDestAgent" FieldName="DestinationAgent" Width="300px">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn VisibleIndex="16" Caption="StatusInt" 
                    Name="colStatusInt" ReadOnly="True" FieldName="Status" Visible="False">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Status" FieldName="StatusDesc" 
                    Name="colStatus" ReadOnly="True" VisibleIndex="17" Width="350px">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn VisibleIndex="6" Caption="SLA" FieldName="SLA" 
                    Name="colSLA" ReadOnly="True" Width="300px">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="File Count" FieldName="FileCount" 
                    Name="colFileCount" ReadOnly="True" VisibleIndex="8">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Byte Count" FieldName="ByteCount" 
                    Name="colByteCount" ReadOnly="True" VisibleIndex="9">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Originator" FieldName="OriginatorValue" 
                    Name="colOriginator" ReadOnly="True" VisibleIndex="10" Width="350px">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Department" FieldName="DepartmentName" 
                    Name="colDepartment" ReadOnly="True" VisibleIndex="11" Width="350px">
                </dx:GridViewDataTextColumn>

                <dx:GridViewDataTextColumn Caption="Destination Information" 
                    FieldName="DestData" Name="colDestInfo" ReadOnly="True" VisibleIndex="13" Width="600px">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Supplemental" FieldName="Supplemental" 
                    Name="colSupplemental" ReadOnly="True" VisibleIndex="14" Width="600px">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Supplemental Result" 
                    FieldName="SupplementalResult" Name="colSuppResult" ReadOnly="True" 
                    VisibleIndex="15">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Source Information" 
                    FieldName="SourceData" Name="colSourceInfo" ReadOnly="True" 
                    VisibleIndex="12" Width="600px">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="MQStatus" FieldName="MQStatusDesc" 
                    Name="colMQStatus" ReadOnly="True" VisibleIndex="18" Width="350px">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataProgressBarColumn Caption="Progress" FieldName="Progress" 
                    Name="colProgress" ReadOnly="True" VisibleIndex="7">
                    <PropertiesProgressBar ClientInstanceName="pbProgress" Height="" Width="">
                    </PropertiesProgressBar>
                </dx:GridViewDataProgressBarColumn>
            </Columns>
            <Settings ShowGroupPanel="True" ShowFilterBar="Auto" 
                ShowHorizontalScrollBar="True" ShowVerticalScrollBar="True" 
                ShowTitlePanel="True" VerticalScrollableHeight="350" />
        </dx:ASPxGridView>
        <dx:ASPxPopupMenu ID="popMenu" runat="server" 
            AutoPostBack="True" onitemclick="popMenu_ItemClick" 
            ClientInstanceName="popMenu" PopupHorizontalAlign="Center" 
            PopupVerticalAlign="Above">
            <ClientSideEvents ItemClick="function(s, e) {
}" />
            <Items>
                <dx:MenuItem DropDownMode="True" Name="btnExcel" Text="Excel" 
                    ToolTip="Export to Excel">
                </dx:MenuItem>
            </Items>
        </dx:ASPxPopupMenu>
</div>
<hr class="clear" />

</asp:Content>

<asp:Content ID="Content5" ContentPlaceHolderID="footerContent" runat="server">
    <table cellpadding="0" cellspacing="2" width="80%"  style="float:left">
        <tr>
            <td>
                <dx:aspxbutton ID="btnFilter" runat="server" Text="Filter Options" 
                    Width="100%" ClientInstanceName="btnFilter" EnableClientSideAPI="True" 
                    ToolTip="click here to Alter Report Filter Options" AutoPostBack="False">
                    <ClientSideEvents Click="function(s, e) {
	e.processOnServer = false;
    cbPanel.PerformCallback('Filter');
}" />
                </dx:aspxbutton>
            </td>
             <td>
            <dx:aspxbutton ID="btnRefresh" runat="server" Text="Refresh" Width="100%" 
                     ClientInstanceName="btnRefresh" ToolTip="click here to Refresh the Report" 
                     AutoPostBack="False">
                <ClientSideEvents Click="function(s, e) {
	e.processOnServer = false;
	OnReportRefresh();
}" />
            </dx:aspxbutton>             
            </td>
             <td>
                 <dx:ASPxButton ID="btnExport" runat="server" Text="Export..." Width="100%" 
                     AutoPostBack="False" ClientInstanceName="btnExport" EnableClientSideAPI="True">
                     <ClientSideEvents Click="function(s, e) {
	OnExport(s);
}" />
                 </dx:ASPxButton>
            </td>
        </tr>
    </table>
    <hr class="clear" style="height:9px"/>
</asp:Content>

<asp:Content ID="Content8" ContentPlaceHolderID="hiddenControlsContent" runat="server">
            <dx:aspxcallback ID="cbPanel" runat="server" ClientInstanceName="cbPanel" 
            oncallback="cbPanel_Callback">
                <ClientSideEvents BeginCallback="function(s, e) {
	cbLoading.Show();
}" CallbackComplete="function(s, e) {
			cbLoading.Hide();
	if (e.result != null)
		handleAjaxResponse(e.result);

}" EndCallback="function(s, e) {

}" />
        </dx:aspxcallback>
     <dx:ASPxHiddenField ID="hdnField" runat="server" ClientInstanceName="hdnField">
     </dx:ASPxHiddenField>
                         <dx:ASPxLoadingPanel ID="cbLoading" runat="server" 
         ClientInstanceName="cbLoading" Modal="True">
     </dx:ASPxLoadingPanel>
                    <dx:ASPxPopupControl ID="popupWin" runat="server" ClientInstanceName="popupWin" 
        CloseAction="CloseButton" EnableClientSideAPI="True" 
        PopupHorizontalAlign="WindowCenter" PopupVerticalAlign="WindowCenter" Modal="True" 
                ShowPageScrollbarWhenModal="True" ShowSizeGrip="True">
                        <ContentStyle>
                            <Paddings Padding="0px" />
                        </ContentStyle>
                        <ContentCollection>
<dx:PopupControlContentControl runat="server"></dx:PopupControlContentControl>
</ContentCollection>
                        <ClientSideEvents CloseUp="function(s, e) {
	// routine to handle the result from the popup
	var value = hdnField.Get('PopupResult');
    hdnField.Set('PopupResult', '');
	e.processOnServer = false;
    if (value != null &amp;&amp; value != '')
      cbPanel.PerformCallback(value);
}" PopUp="function(s, e) {
	cbLoading.Show();
}" Shown="function(s, e) {
	cbLoading.Hide();
}" />
    </dx:ASPxPopupControl>

            </asp:Content>




