﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPages/CompanyPage.master" AutoEventWireup="true" CodeBehind="Overview.aspx.cs" Inherits="MQAWeb.Forms.Reports.FTE.Overview" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxLoadingPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPopupControl" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Xpo.v11.1.Web, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Xpo" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1.Export, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView.Export" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxMenu" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxHiddenField" tagprefix="dx" %>
<%@ Register assembly="DevExpress.XtraCharts.v11.1.Web, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.XtraCharts.Web" tagprefix="dxchartsui" %>
<%@ Register assembly="DevExpress.XtraCharts.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.XtraCharts" tagprefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="headerContent" runat="server">

    <script type="text/javascript">
    var timer = -1;
    var t;
    function OnReportRefresh() 
    {
        // routine to refresh the screen
        if (!chartControl.InCallback())
            chartControl.PerformCallback();
    }
    function OnFilterSelect(urlparms) 
    {
        // routine to select the filter for the report
        var url = '<%=ResolveUrl("~/Forms/frmDialog.aspx")%>?UserControl=~/Forms/UserControls/Filters/DateTimeDeptFTEStatusFilter.ascx';
        var title = 'Report Filter Parameters';
        url += '&Title=' + title;
        url += '&SubTitle=Please provide the Filter Details' + urlparms;
        showPopupWindow(popupWin, null, url, title, 650, 320, 100, 50);
    }
    function OnExport(s) 
    {
    
        popMenu.ShowAtElement(s.GetMainElement());
    }
    function OnCheckTimer() 
    {
        // routine to check the timer and update it if neccessary
        var refreshValue = spnRefresh.GetValue() * 1000;
        if (refreshValue > 0 && refreshValue != timer) 
        {
            timer = refreshValue;
            if (t)
                clearInterval(t);
            t = setInterval('OnReportRefresh()', timer);
        }
    }

    function OnPerformCallback(operation, parms) 
    {
        // routine to perform a call back on the form
        cbPanel.PerformCallback(operation + '!' + parms);
    }
    function OnUpdateProfile(parms) 
    {
        var sendParms = parms + '!' + spnRefresh.GetValue();
        OnPerformCallback('UpdateProfile', sendParms);    
    }
</script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="topContent" runat="server">
    <p id="links"><a href="javascript:OnUpdateProfile('~/Forms/frmLogin.aspx');">Home</a> | <a href="javascript:OnUpdateProfile('~/Forms/frmDashboard.aspx');">Back</a></p>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="titleContent" runat="server">
    FTE Reporting
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="pageContent" runat="server">
    <h2>
    <asp:Label ID="lblArchive" runat="server" 
        Text="Job Overview" CssClass="sectionheader"></asp:Label>
    </h2>
    <div class="note" style="width:97%; height:70%;overflow:auto">

        <dx:ASPxPopupMenu ID="popMenu" runat="server" 
            ClientInstanceName="popMenu" PopupHorizontalAlign="Center" 
            PopupVerticalAlign="Above">
            <ClientSideEvents ItemClick="function(s, e) 
{
e.processOnServer = false;
OnExportDoc(e.item.name, chartControl);
}" />
            <Items>
                <dx:MenuItem DropDownMode="True" Name="btnExcel" Text="Excel" 
                    ToolTip="Export to Excel">
                </dx:MenuItem>
            </Items>
        </dx:ASPxPopupMenu>
        <dxchartsui:WebChartControl ID="chartControl" runat="server" Height="600px" 
            ClientInstanceName="chartControl" EnableClientSideAPI="True"  Width="1600px" 
            oncustomcallback="chartControl_CustomCallback" diagramserializable='<cc1:XYDiagram>
                    <axisx visibleinpanesserializable="-1">
                        <range sidemarginsenabled="True" />
                    </axisx>
                    <axisy visibleinpanesserializable="-1">
                        <range sidemarginsenabled="True" />
                    </axisy>
                </cc1:XYDiagram>' 
            oncustomdrawseriespoint="chartControl_CustomDrawSeriesPoint">
            <legend antialiasing="True"></legend>
            <titles>
                <cc1:ChartTitle Alignment="Near" Dock="Bottom" Text="" Font="Tahoma, 8.25pt" />
                <cc1:ChartTitle Text="" />
            </titles>
<SeriesTemplate synchronizepointoptions="False"><ViewSerializable>
    <cc1:DoughnutSeriesView RuntimeExploding="False">
    </cc1:DoughnutSeriesView>
</ViewSerializable>
<LabelSerializable>
    <cc1:DoughnutSeriesLabel LineVisible="True">
        <fillstyle>
            <optionsserializable>
                <cc1:SolidFillOptions />
            </optionsserializable>
        </fillstyle>
    </cc1:DoughnutSeriesLabel>
</LabelSerializable>
<PointOptionsSerializable>
    <cc1:PiePointOptions>
    </cc1:PiePointOptions>
</PointOptionsSerializable>
<LegendPointOptionsSerializable>
    <cc1:PiePointOptions>
    </cc1:PiePointOptions>
</LegendPointOptionsSerializable>
</SeriesTemplate>

<FillStyle><OptionsSerializable>
<cc1:SolidFillOptions></cc1:SolidFillOptions>
</OptionsSerializable>
</FillStyle>
            <seriesserializable>
                <cc1:Series Name="Series 1" SynchronizePointOptions="False">
                    <viewserializable>
                        <cc1:DoughnutSeriesView RuntimeExploding="False">
                        </cc1:DoughnutSeriesView>
                    </viewserializable>
                    <labelserializable>
                        <cc1:DoughnutSeriesLabel LineVisible="True">
                            <fillstyle>
                                <optionsserializable>
                                    <cc1:SolidFillOptions />
                                </optionsserializable>
                            </fillstyle>
                        </cc1:DoughnutSeriesLabel>
                    </labelserializable>
                    <pointoptionsserializable>
                        <cc1:PiePointOptions PercentOptions-ValueAsPercent="False" 
                        PointView="ArgumentAndValues">
                        </cc1:PiePointOptions>
                    </pointoptionsserializable>
                    <legendpointoptionsserializable>
                        <cc1:PiePointOptions PointView="ArgumentAndValues">
                        <valuenumericoptions format="Percent" /></cc1:PiePointOptions>
                    </legendpointoptionsserializable>
                </cc1:Series>
            </seriesserializable>
            <clientsideevents callbackerror="function(s, e) {
	e.handled = true;
	 handleAjaxResponse(e.message)

}" endcallback="function(s, e) {
		e.procesOnServer = false;
	OnCheckTimer();

}" />
        </dxchartsui:WebChartControl>
</div>
<hr class="clear" />

</asp:Content>

<asp:Content ID="Content5" ContentPlaceHolderID="footerContent" runat="server">
    <table cellpadding="0" cellspacing="2" width="80%"  style="float:left">
        <tr>
            <td>
                <dx:aspxbutton ID="btnFilter" runat="server" Text="Filter Options" 
                    Width="100%" ClientInstanceName="btnFilter" EnableClientSideAPI="True" 
                    ToolTip="click here to Alter Report Filter Options" AutoPostBack="False">
                    <ClientSideEvents Click="function(s, e) {
	e.processOnServer = false;
    cbPanel.PerformCallback('Filter');
}" />
                </dx:aspxbutton>
            </td>
             <td>
            <dx:aspxbutton ID="btnRefresh" runat="server" Text="Refresh" Width="100%" 
                     ClientInstanceName="btnRefresh" ToolTip="click here to Refresh the Report" 
                     AutoPostBack="False">
                <ClientSideEvents Click="function(s, e) {
	e.processOnServer = false;
	OnReportRefresh();
}" />
            </dx:aspxbutton>             
            </td>
             <td>
                 <dx:ASPxButton ID="btnExport" runat="server" Text="Export..." Width="100%" 
                     AutoPostBack="False" ClientInstanceName="btnExport" EnableClientSideAPI="True">
                     <ClientSideEvents Click="function(s, e) {
	OnExport(s);
}" />
                 </dx:ASPxButton>
            </td>
            <td nowrap="nowrap" style="color:black">Auto-Refresh:</td>
            <td><dx:ASPxSpinEdit ID="spnRefresh" runat="server" Height="21px" Number="0" 
                    Width="100%" ClientInstanceName="spnRefresh" EnableClientSideAPI="True" 
                    MaxValue="200"></dx:ASPxSpinEdit></td>
        </tr>
    </table>
    </asp:Content>

<asp:Content ID="Content8" ContentPlaceHolderID="hiddenControlsContent" runat="server">
            <dx:aspxcallback ID="cbPanel" runat="server" ClientInstanceName="cbPanel" 
            oncallback="cbPanel_Callback">
                <ClientSideEvents BeginCallback="function(s, e) {
	cbLoading.Show();
}" CallbackComplete="function(s, e) {
			cbLoading.Hide();
	if (e.result != null)
		handleAjaxResponse(e.result);

}" EndCallback="function(s, e) {

}" />
        </dx:aspxcallback>
     <dx:ASPxHiddenField ID="hdnField" runat="server" ClientInstanceName="hdnField">
     </dx:ASPxHiddenField>
                         <dx:ASPxLoadingPanel ID="cbLoading" runat="server" 
         ClientInstanceName="cbLoading" Modal="True">
     </dx:ASPxLoadingPanel>
                    <dx:ASPxPopupControl ID="popupWin" runat="server" ClientInstanceName="popupWin" 
        CloseAction="CloseButton" EnableClientSideAPI="True" 
        PopupHorizontalAlign="WindowCenter" PopupVerticalAlign="WindowCenter" Modal="True" 
                ShowPageScrollbarWhenModal="True" ShowSizeGrip="True">
                        <ContentStyle>
                            <Paddings Padding="0px" />
                        </ContentStyle>
                        <ContentCollection>
<dx:PopupControlContentControl runat="server"></dx:PopupControlContentControl>
</ContentCollection>
                        <ClientSideEvents CloseUp="function(s, e) {
	// routine to handle the result from the popup
	var value = hdnField.Get('PopupResult');
    hdnField.Set('PopupResult', '');
	e.processOnServer = false;
    if (value != null &amp;&amp; value != '')
      cbPanel.PerformCallback(value);
}" PopUp="function(s, e) {
	cbLoading.Show();
}" Shown="function(s, e) {
	cbLoading.Hide();
}" />
    </dx:ASPxPopupControl>

            </asp:Content>




