﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="FTEPropertyGrid.ascx.cs" Inherits="MQAWeb.Forms.Send.Widgets.FTEPropertyGrid" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1.Export, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView.Export" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxClasses" tagprefix="dx" %>
  <dx:ASPxGridView ID="grdItemData" runat="server" AutoGenerateColumns="False" 
            ClientInstanceName="grdItemData" Width="100%" KeyFieldName="Key" 
          EnableRowsCache="False" onrowupdating="grdItemData_RowUpdating" 
          onrowvalidating="grdItemData_RowValidating" 
    onrowdeleting="grdItemData_RowDeleting" 
    onrowinserting="grdItemData_RowInserting" 
    oncelleditorinitialize="grdItemData_CellEditorInitialize">
            <settingsbehavior allowdragdrop="False" ConfirmDelete="True">
            </settingsbehavior>
            <settingspager mode="ShowAllRecords">
            </settingspager>
            <Templates>
                <TitlePanel>
                <div><b>Properties</b></div>
                </TitlePanel>
            </Templates>
            <ClientSideEvents EndCallback="function(s, e) {
		if (grdItemData.cpAction != null)
		handleAjaxResponse(grdItemData.cpAction);

}" />
            <Columns>
                <dx:GridViewCommandColumn Caption="Action" VisibleIndex="0" Width="20%">
                    <editbutton visible="True">
                    </editbutton>
                    <NewButton Visible="True">
                    </NewButton>
                    <DeleteButton Visible="True">
                    </DeleteButton>
                    <HeaderStyle HorizontalAlign="Center" />
                </dx:GridViewCommandColumn>
                <dx:GridViewDataTextColumn Caption="Name" FieldName="Key" 
                    Name="colItemKey" VisibleIndex="1" Width="40%">
                    <EditCellStyle Wrap="True">
                    </EditCellStyle>
                    <CellStyle Wrap="True">
                    </CellStyle>
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataComboBoxColumn Caption="Value" FieldName="Value" 
                    Name="colItemValue" VisibleIndex="2" Width="40%">
                    <PropertiesComboBox TextField="Description" ValueField="Value" 
                        ValueType="System.String">
                    </PropertiesComboBox>
                    <EditCellStyle Wrap="True">
                    </EditCellStyle>
                    <CellStyle Wrap="True">
                    </CellStyle>
                </dx:GridViewDataComboBoxColumn>
            </Columns>
            <Settings 
                ShowHorizontalScrollBar="True" ShowVerticalScrollBar="True" showfooter="True" 
                showgroupbuttons="False" VerticalScrollableHeight="100" 
                ShowTitlePanel="True" />
        </dx:ASPxGridView>        

