﻿<%@Page Title="" Language="C#" MasterPageFile="~/MasterPages/SideBar.master" AutoEventWireup="true" CodeBehind="frmLogin.aspx.cs" Inherits="MQAWeb.Forms.frmLogin" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxLoadingPanel" tagprefix="dx" %>
<%@ Register TagPrefix="dxrp" Namespace="DevExpress.Web.ASPxPanel" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallbackPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPanel" tagprefix="dx" %>
<asp:Content ID="Content1" ContentPlaceHolderID="headerContent" runat="server">

        <script type="text/javascript">
            function Validate() 
            {
                // routine to validate the screen
                if (txtLogin.GetText() == '') 
                {
                    alert('Please enter a Login');
                    txtLogin.Focus();
                    return false;
                }

                if (txtPassword.GetText() == '')
                {
                    alert('Please enter a Password');
                    txtPassword.Focus();
                    return false;
                }
                if (cmbCompany.GetSelectedIndex() == -1) 
                {
                    alert('Please select a Company');
                    cmbCompany.Focus();
                    return false;
                }
                if (cmbDomain.GetSelectedIndex() == -1) 
                {
                    alert('Please select a Domain');
                    cmbDomain.Focus();
                    return false;
                }
                cbPanel.PerformCallback(txtLogin.GetValue() + '|' + txtPassword.GetValue() + '|' + cmbCompany.GetValue() + '|' + cmbDomain.GetValue());
            }
            function OnCompanyChange(e) 
            {
                // routine to list the list of domains when the company changes
                e.processOnServer = false;
                cbDomain.PerformCallback(cmbCompany.GetValue());
            }
    </script>
</asp:Content>
<asp:Content ID="titleContent"  ContentPlaceHolderID="titleContent" runat="server">
    Login
</asp:Content>
<asp:Content ID="pageContent" ContentPlaceHolderID="pageContent" runat="server">
    <div id="content" style="height: 540px">
<h2>
    <asp:Label ID="lblSummary" runat="server" 
        Text="Login" CssClass="sectionheader"></asp:Label>
    </h2>
    <div class="note">

        <table cellpadding="0" cellspacing="2" width="100%">
        <tr>
            <td width="50px">
                Login:</td>
            <td>

                            <dx:ASPxTextBox ID="txtLogin" runat="server" Width="100%" 
                                AutoResizeWithContainer="True" ClientInstanceName="txtLogin" 
                                EnableClientSideAPI="True">
                            </dx:ASPxTextBox>
            </td>
        </tr>
        <tr>
            <td>
                Password:</td>
            <td>
                <dx:ASPxTextBox ID="txtPassword" runat="server" Width="100%" 
                    AutoResizeWithContainer="True" ClientInstanceName="txtPassword" 
                    EnableClientSideAPI="True" Password="True">
                </dx:ASPxTextBox>
            </td>
        </tr>
        <tr>
            <td>
                Company:</td>
            <td>
                <dx:ASPxComboBox ID="cmbCompany" runat="server" Width="100%" 
                    AutoResizeWithContainer="True" ClientInstanceName="cmbCompany" 
                    EnableClientSideAPI="True" ValueType="System.String">
                    <ClientSideEvents ValueChanged="function(s, e) 
{
	OnCompanyChange(e);
}" />
                </dx:ASPxComboBox>
            </td>
        </tr>
                <tr>
            <td>
                Domain:</td>
            <td>
                <dx:ASPxCallbackPanel ID="cbDomain" runat="server" 
                    ClientInstanceName="cbDomain" Width="100%" oncallback="cbDomain_Callback">
                    <PanelCollection>
<dx:PanelContent runat="server"><dx:ASPxComboBox ID="cmbDomain" runat="server" 
                            AutoResizeWithContainer="True" ClientInstanceName="cmbDomain" EnableClientSideAPI="True" TextField="Value" 
                            ValueField="Value" ValueType="System.String" Width="100%"></dx:ASPxComboBox>

            


            </dx:PanelContent>
</PanelCollection>
                    <ClientSideEvents CallbackError="function(s, e) 
{
	CallbackError(e);
}" />
                </dx:ASPxCallbackPanel>
            </td>
        </tr>


                <tr>
            <td colspan="2">
        <dx:ASPxButton ID="btnLogin" runat="server" Text="Login"
                    Height="23px" ToolTip="click here to Login..." Width="100%" 
                    AutoPostBack="False">
            <ClientSideEvents Click="function(s, e) 
{
    
	e.processOnServer = false;
	if (!cbPanel.InCallback())
	    Validate();
}" />
                </dx:ASPxButton>

            </td>
        </tr>         

    </table>
</div>
    <dx:ASPxLoadingPanel ID="cbLoading" runat="server" 
        ClientInstanceName="cbLoading" Modal="True">
    </dx:ASPxLoadingPanel>
    <dx:ASPxCallback ID="cbPanel" 
            runat="server" ClientInstanceName="cbPanel" oncallback="cbPanel_Callback">
            <clientsideevents callbackcomplete="function(s, e) 
{
	cbLoading.Hide();
	handleAjaxResponse(e.result);
}" BeginCallback="function(s, e) {
	cbLoading.Show();
}" />
        </dx:ASPxCallback>
<hr class="clear" />
</div>

</asp:Content>
<asp:Content ID="sidebarContent" ContentPlaceHolderID="sideBarContent" runat="server">
    <h4>Welcome</h4>
<ul>
    <li><span id="tile">Please provide Login Credentials<br /></span></li>
</ul>
</asp:Content>
