﻿function handleAjaxResponse(response)
{
    // routine to handle ajax responses
    if (response == null || response == '')
        return;
    var returnmsg = response.split('|');
    if (returnmsg[0] == 'error')
    {
        alert(returnmsg[1]);
        return false;
    }
    if (returnmsg[0] == 'script')
    {
        eval(returnmsg[1]);
        return false;
    }
    if (returnmsg[0] == 'close')
    {
        window.returnValue = 'close';
        alert('i am closing the window');
        window.close();
    }
}


function showPopupWindow(win, e, url, title, width, height, top, left)
{
    // routine to show a popup window of the given parameters
    if (e != null)
        e.processOnServer = false;
    //dialogParms = "dialogHeight:" + height + "px;dialogWidth:" + width + "px;resizable:yes;center:yes;status:0;help:0";
    //window.showModalDialog(url, dialogParms);
    url += '&nocacheid=' + new Date().getTime();

    win.SetContentUrl(url);
    win.GetContentIFrame().src = url;
    win.SetHeaderText(title);
    win.SetSize(width, height);
    win.Show();
    
    //popupWin.ShowAtPos(top, left);
     //popupWin.Show();
    //popupWin.AdjustSize();
}

function showWindow(url, title, width, height, top, left) 
{
    // routine to show a popup window of the given parameters
    url += '&nocacheid=' + new Date().getTime();
    window.open(url);
}

function closeWindow(returnvar) 
{
    // routine to close the window with the specified returnValue
    window.returnValue = returnvar;
    window.close();
}

function openDialog(url, parameters, dialogParms) 
{
    // routine to show the modal dialog, and return the result
    url += '&nocacheid=' + new Date().getTime();
    var returnValue = window.showModalDialog(url, parameters, dialogParms);
    return returnValue;
}

function OnExportDoc(type, chartControl) 
{
    if (type == "btnExcel")
        chartControl.SaveToWindow('xls');
    if (type == "btnPDF")
        chartControl.SaveToWindow('pdf');
}

function PerformCallback(operation, parms)
{
    // routine to perform a call back on the form
    if (!cbPanel.InCallback())
        cbPanel.PerformCallback(operation + '!' + parms);
}
function HideLoading() 
{
    if (cbLoading != null && cbLoading.GetVisible())
        cbLoading.Hide();

}
function ShowLoading() {
    if (cbLoading != null && !cbLoading.GetVisible())
        cbLoading.Show();

}
function CallbackStart(e) 
{
    ShowLoading();
}
function CallbackStartTimer(e) 
{
    CallbackStart(e);
    ClearTimer(e);
}
function CallbackComplete(e) 
{
    HideLoading();
	if (e.result != null)
		handleAjaxResponse(e.result);
}
function CallbackError(e) 
{
    HideLoading();
    e.handled = true;
    if (e.message.indexOf('error|') > -1)
        handleAjaxResponse(e.message);
    else
        handleAjaxResponse('error|' + e.message);

}
function CallbackTimerError(e) {
    CallbackError(e);
    CheckTimer(e);
}
function CallbackGridError(e) 
{
    e.handled = true;
    if (e.message.indexOf('error|') > -1)
        handleAjaxResponse(e.message);
    else
        handleAjaxResponse('error|' + e.message);
}
function PopupResultTimer(e) 
{

    e.processOnServer = false;
    var value = hdnField.Get('PopupResult');
    hdnField.Set('PopupResult', '');
    if (value != null && value != '') 
    {
        cbPanel.PerformCallback(value);
        return false;
    }
    else
        CheckTimer(e)
}

function PopupResult(e) 
{
    e.processOnServer = false;
    var value = hdnField.Get('PopupResult');
    hdnField.Set('PopupResult', '');
    if (value != null && value != '')
    {
        cbPanel.PerformCallback(value);
        return false;
    }
}

function Export(s) 
{
    popMenu.ShowAtElement(s.GetMainElement());
}

function ShowWidgetPanel(widgetPanelUID) 
{
    var panel = dockMan.GetPanelByUID(widgetPanelUID);
    panel.Show();
}
function SetWidgetButtonVisible(widgetName, visible) 
{
    var button = ASPxClientControl.GetControlCollection().GetByName('widgetButton_' + widgetName);
    button.GetMainElement().className = visible ? '' : 'disabled';
}

function ChartTrack(s, e) 
{
    // generic routine to manage object tracking in a chart control
    var hitInCategory = e.hitInfo.inSeries && e.chart.series[0].visible;
    var hitInSeriesPoint = e.hitInfo && e.hitInfo.inSeriesPoint;
    s.SetCursor((hitInCategory && hitInSeriesPoint) ? 'pointer' : 'default');
}
function ChartDrill(s, e) 
{
    // routine to determine if a chart drill selection warrants a trip to the server
    var hitInCategory = e.hitInfo.inSeries && e.chart.series[0].visible;
    var hitInSeriesPoint = e.hitInfo && e.hitInfo.inSeriesPoint;
    e.processServer = hitInCategory && hitInSeriesPoint;
}
function ShowFTEDetailView(baseUrl, filterString, addUrl) 
{
    // show the FTE Transaction Detail
    var url = baseUrl + 'frmDialogNoHead.aspx?UserControl=~/Forms/FTE/Reporting/Widgets/DetailDashboard.ascx';
    var title = 'FTE Transfer History - Detail';
    url += '&Title=' + title;
    url += '&SubTitle=' + filterString;
    if (addUrl != '')
        url += addUrl;
    showPopupWindow(popupWin, null, url, title, 850, 600, 100, 50);
}

function ShowFTEDetailViewWin(baseUrl, filterString, addUrl) 
{
    // show the FTE Transaction Detail
    var url = baseUrl + 'frmDialogNoHead.aspx?UserControl=~/Forms/FTE/Reporting/Widgets/DetailDashboard.ascx';
    var title = 'FTE Transfer History - Detail';
    url += '&Title=' + title;
    url += '&SubTitle=' + filterString;
    if (addUrl != '')
        url += addUrl;
    showWindow(url, title, 850, 600, 100, 50);
}


function GetTransactionViewUrl(baseUrl, key) 
{
    // show the FTE Transaction Detail
    var url = baseUrl + 'frmDialogNoHead.aspx?UserControl=~/Forms/FTE/Reporting/Widgets/DetailView.ascx';

    url += '&Title=Viewing Transaction Information Id - ' + key;
    url += '&SubTitle=Id - ' + key;
    url += '&transactionId=' + key;
    return url;
}

function ShowFTETransView(baseUrl, key) 
{
    // show the FTE Transaction Detail
    var url = GetTransactionViewUrl(baseUrl, key);
    var title = 'FTE Transfer Information - Transaction ' + key;
    showPopupWindow(popupWin, null, url, title, 800, 590, 100, 50);
}
function ShowFTETransViewWin(baseUrl, key) 
{
    // Show the FTE Transaction Detail in a new window
    url = GetTransactionViewUrl(baseUrl, key);
    var title = 'FTE Transfer Information - Transaction ' + key;
    showWindow(url, title, 800, 590, 100, 50);
}
function ShowFTEDashFilter(baseUrl, urlparms) 
{
    // routine to show the FTE Dashboard Selection Filter
    var url =baseUrl + 'frmDialog.aspx?UserControl=~/Forms/General/Filters/DateTimeDeptFTEStatusFilter.ascx';
    var title = 'Report Filter Parameters';
    url += '&Title=' + title;
    url += '&SubTitle=Please provide the Filter Details' + urlparms;
    showPopupWindow(popupWin, null, url, title, 650, 500, 100, 50);
}
function ShowNote(baseUrl,noteType, title, subTitle, enabled) 
{
    // routine to show the note
    var url = baseUrl + 'frmDialog.aspx?UserControl=~/Forms/CoreObjects/Widgets/Memo.ascx';
    url += '&Title=' + title;
    url += '&SubTitle=' + subTitle;
    if (enabled == false)
        url += '&disabled=1';
    url += '&NoteType=' + noteType;
    showPopupWindow(popupWin, null, url, title, 700, 510, 100, 50);
}
function ShowInput(baseUrl, question, answer, type) 
{
    // routine to show an input box
    var url = baseUrl + 'frmDialogNoHead.aspx?UserControl=~/Forms/CoreObjects/Widgets/Input.ascx';
    var title = 'Question';
    url += '&InputType=' + type;
    url += '&Title=' + title;
    url += '&question=' + question;
    url += '&answer=' + answer;
    showPopupWindow(popupWin, null, url, title, 400, 190, 100, 50);
}

function ShowMessage(baseUrl, header, message, width, height) 
{
    // routine to show an input box
    var url = baseUrl + 'frmDialogNoHead.aspx?UserControl=~/Forms/CoreObjects/Widgets/MessageBox.ascx';
    var title = 'Message';
    url += '&Title=' + title;
    url += '&message=' + message
    url += '&header=' + header;
    showPopupWindow(popupWin, null, url, title, width, height, 100, 50);
}