﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPages/CompanyPage.master" AutoEventWireup="true" CodeBehind="AgentList.aspx.cs" Inherits="MQAWeb.Forms.FTE.Agents.AgentList" %>
<%@ Import Namespace="System.ComponentModel" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxLoadingPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPopupControl" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Xpo.v11.1.Web, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Xpo" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1.Export, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView.Export" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxMenu" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxHiddenField" tagprefix="dx" %>
<asp:Content ID="Content1" ContentPlaceHolderID="headerContent" runat="server">
<script type="text/javascript">
    var timerOn = 0;
    var t;
    function CheckTimer(e) {
        // routine to check the timer and update it if neccessary
        if (e != null)
            e.processOnServer = false;
        var refreshValue = spnRefresh.GetValue() * 1000;
        if (timerOn == 1)
            ClearTimer(e);
        if (refreshValue > 0) {
            t = window.setTimeout('OnRefresh()', refreshValue);
            timerOn = 1;
        }
    }

    function ClearTimer(e) {
        // clear the timer
        if (e != null)
            e.processOnServer = false;
        if (timerOn == 1) {
            window.clearTimeout(t);
            timerOn = 0;
            t = undefined;
        }
    }
    var x = -1;
    var y = -1;
    function OnRefresh() 
    {
        // routine to refresh the screen
        if (!grdData.InCallback() && !cbPanel.InCallback() && !popupWin.GetVisible())
            grdData.PerformCallback();
    }
    function OnGridRefresh() 
    {
        // routine to refresh the grid
        if (!grdData.InCallback())
            grdData.PerformCallback();
    }

    function OnFilterSelect(urlparms) 
    {
        // routine to select the filter for the report
        var url = '<%=ResolveUrl("~/Forms/frmDialog.aspx")%>?UserControl=~/Forms/General/Filters/FTEAgentStatusFilter.ascx';
        var title = 'Filter Parameters';
        url += '&Title=' + title;
        url += '&SubTitle=Please provide the Filter Details' + urlparms;
        showPopupWindow(popupWin, null, url, title, 500, 350, 100, 50);
    }
    function OnShowAgent(e) 
    {
        // routine to show the agent dashboard
        e.processOnServer = false;
        var key = grdData.GetRowKey(e.visibleIndex);
        var url = '<%=ResolveUrl("~/Forms/FTE/Agents/AgentDashboard.aspx")%>?id=' + key;
        window.open(url);
    }

    function OnUpdateProfile(parms) 
    {
        var sendParms = parms + '!' + spnRefresh.GetValue();
        PerformCallback('UpdateProfile', sendParms);    
    }
</script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="topContent" runat="server">
<p id="links"><a href="javascript:OnUpdateProfile('~/Forms/frmLogin.aspx');">Home</a> | <a href="javascript:OnUpdateProfile('~/Forms/frmDashboard.aspx');">Back</a></p>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="pageContent" runat="server">
<h2>
    <asp:Label ID="lblTitle" runat="server" 
        Text="Agent Listing Dashboard" CssClass="sectionheader"></asp:Label>
    </h2>
    <div class="note" style="width:97%; height:70%">

        <dx:ASPxGridViewExporter ID="gridViewExport" runat="server" 
            GridViewID="grdData" Landscape="True">
            <Styles>
                <Default Font-Names="Tahoma">
                </Default>
                <Header Font-Bold="False" Font-Names="Tahoma">
                </Header>
                <Cell Font-Names="Tahoma">
                </Cell>
                <GroupRow Font-Names="Tahoma">
                </GroupRow>
                <Title Font-Bold="True" Font-Names="Tahoma" Font-Size="Large"></Title>
            </Styles>
        </dx:ASPxGridViewExporter>

        <dx:ASPxGridView ID="grdData" runat="server" AutoGenerateColumns="False" 
            ClientInstanceName="grdData" Width="100%" KeyFieldName="Id" 
            oncustomcallback="grdData_CustomCallback"
            oncustomcolumndisplaytext="grdData_CustomColumnDisplayText" 
            onhtmlrowprepared="grdData_HtmlRowPrepared">
            <Templates>
                <TitlePanel>
                    <div><b><%=hdnField.Get("Filter").ToString()%></b></div>
                    <table cellpadding="0" cellspacing="2" width="100%" id="tableFooter">
                    <tr>
                        <td>
                            <dx:ASPxImage runat="server" ID="imgACT" 
                                ImageUrl='~/images/Agent/up.png' Visible="true" 
                                IsPng="True" CssClass="iconpic"></dx:ASPxImage>
                        </td>
                        <td>Active:</td>
                        <td><%=hdnField.Get("ACT").ToString()%>
                        </td>
                        <td>
                            <dx:ASPxImage runat="server" ID="imgIACT" ImageUrl='~/images/Agent/down.png' Visible="true" IsPng="true" CssClass="iconpic"></dx:ASPxImage>
                        </td>
                        <td>Not Active:</td>
                        <td><%=hdnField.Get("IACT").ToString()%>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <dx:ASPxImage runat="server" ID="imgTP" ImageUrl='~/images/Agent/stop.png' Visible="true" IsPng="true" CssClass="iconpic"></dx:ASPxImage>
                        </td>
                        <td>Termination Pending:</td>
                        <td><%=hdnField.Get("TP").ToString()%>
                        </td>
                        <td>
                            <dx:ASPxImage runat="server" ID="imgTPC" ImageUrl='~/images/Agent/cancel.png' Visible="true" IsPng="true" CssClass="iconpic"></dx:ASPxImage>
                        </td>
                        <td>Termination Pending Due to Comms:</td>
                        <td><%=hdnField.Get("TPC").ToString()%>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <dx:ASPxImage runat="server" ID="imgMC" ImageUrl='~/images/Agent/activity.png' Visible="true" IsPng="true" CssClass="iconpic"></dx:ASPxImage>
                        </td>
                        <td>Monitor Count:</td>
                        <td><%=hdnField.Get("MC").ToString()%>
                        </td>
                        <td>
                            <dx:ASPxImage runat="server" ID="imgTFC" ImageUrl='~/images/Agent/middletransfer.png' Visible="true" IsPng="true" CssClass="iconpic"></dx:ASPxImage>
                        </td>
                        <td>Active Transfers:</td>
                        <td><%=hdnField.Get("TFC").ToString()%></dx:ASPxLabel>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <dx:ASPxImage runat="server" ID="imgSC" ImageUrl='~/images/Agent/source.png' Visible="true" IsPng="true" CssClass="iconpic"></dx:ASPxImage>
                        </td>
                        <td>Source Count:</td>
                        <td><%=hdnField.Get("SC").ToString()%>
                        </td>
                        <td>
                            <dx:ASPxImage runat="server" ID="imgDC" ImageUrl='~/images/Agent/dest.png' Visible="true"  IsPng="true" CssClass="iconpic"></dx:ASPxImage>
                        </td>
                        <td>Destination Count:</td>
                        <td><%=hdnField.Get("DC").ToString()%>
                        </td>
                    </tr>


                </table>
                </TitlePanel>
                <StatusBar>
                    <h5>Double Click the Required Agent to View Dashboard</h5>
                </StatusBar>
            </Templates>
            <SettingsBehavior ColumnResizeMode="Control" />
            <ClientSideEvents CallbackError="function(s, e) 
{
	CallbackGridError(e);
}" EndCallback="function(s, e) 
{ 
  CheckTimer(e);
}" BeginCallback="function(s, e) 
{
	ClearTimer(e);
}" ContextMenu="function(s, e) {	
}" RowDblClick="function(s, e) 
{
	OnShowAgent(e);
}" />
            <Columns>
                <dx:GridViewDataTextColumn VisibleIndex="2" Caption="Queue Manager" 
                    FieldName="QueueManager" Name="colQM" ReadOnly="True" Width="15%">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn VisibleIndex="0" 
                    FieldName="Status" Name="colStatus" ReadOnly="True" SortIndex="0" 
                    SortOrder="Ascending" Width="15%" Caption="Status">
                    <DataItemTemplate>
                        <img class="statusiconpic" src="<%#Eval("ImageSource")%>" />
                    </DataItemTemplate>
                    <CellStyle HorizontalAlign="Center">
                    </CellStyle>
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Agent" FieldName="AgentName" 
                    Name="colAgentName" ReadOnly="True" VisibleIndex="1" Width="15%">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn VisibleIndex="4" Caption="Time Zone" 
                    FieldName="TimeZone" ReadOnly="True" Width="15%">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataDateColumn Caption="Last Update" FieldName="LastUpdate" 
                    Name="colLastUpdate" ReadOnly="True" VisibleIndex="3" Width="20%">
                </dx:GridViewDataDateColumn>
                <dx:GridViewDataSpinEditColumn Caption="ST. Count" FieldName="SourceCount" 
                    Name="colSourceCount" ReadOnly="True" ToolTip="Source Transaction Count" 
                    VisibleIndex="5">
                    <PropertiesSpinEdit DisplayFormatString="g" NumberType="Integer">
                    </PropertiesSpinEdit>
                </dx:GridViewDataSpinEditColumn>
                 <dx:GridViewDataSpinEditColumn Caption="DT. Count" FieldName="DestCount" 
                    Name="colDestCount" ReadOnly="True" ToolTip="Destination Transaction Count" 
                    VisibleIndex="6">
                    <PropertiesSpinEdit DisplayFormatString="g" NumberType="Integer">
                    </PropertiesSpinEdit>
                </dx:GridViewDataSpinEditColumn>
                 <dx:GridViewDataSpinEditColumn Caption="MS. Count" FieldName="MonitorFound" 
                    Name="colMSCount" ReadOnly="True" ToolTip="Monitor Satisfied (MS) Count" 
                    VisibleIndex="7">
                    <PropertiesSpinEdit DisplayFormatString="g" NumberType="Integer">
                    </PropertiesSpinEdit>
                </dx:GridViewDataSpinEditColumn>
                 <dx:GridViewDataSpinEditColumn Caption="MU. Count" FieldName="MonitorNotFound" 
                    Name="colMUCount" ReadOnly="True" ToolTip="Monitor Un-Satisfied (MU) Count" 
                    VisibleIndex="8">
                    <PropertiesSpinEdit DisplayFormatString="g" NumberType="Integer">
                    </PropertiesSpinEdit>
                </dx:GridViewDataSpinEditColumn>
                 <dx:GridViewDataSpinEditColumn Caption="MF. Count" FieldName="MonitorErrors" 
                    Name="colMFCount" ReadOnly="True" ToolTip="Monitor Failed (MF) Count" 
                    VisibleIndex="9">
                    <PropertiesSpinEdit DisplayFormatString="g" NumberType="Integer">
                    </PropertiesSpinEdit>
                </dx:GridViewDataSpinEditColumn>




                <dx:GridViewDataTextColumn Caption="TransCount" FieldName="TransCount" 
                    ReadOnly="True" Visible="False" VisibleIndex="11">
                </dx:GridViewDataTextColumn>




                <dx:GridViewDataTextColumn Caption="Id" FieldName="Id" Name="colAgentId" 
                    Visible="False" VisibleIndex="10">
                </dx:GridViewDataTextColumn>




            </Columns>
            <Settings ShowGroupPanel="True" ShowFilterBar="Auto" 
                ShowHorizontalScrollBar="True" ShowVerticalScrollBar="True" 
                ShowTitlePanel="True" VerticalScrollableHeight="350" 
                ShowFilterRow="True" ShowStatusBar="Visible" />
        </dx:ASPxGridView>
        <dx:ASPxPopupMenu ID="popMenu" runat="server" 
            AutoPostBack="True" onitemclick="popMenu_ItemClick" 
            ClientInstanceName="popMenu" PopupHorizontalAlign="Center" 
            PopupVerticalAlign="Above">
            <ClientSideEvents ItemClick="function(s, e) {
}" />
            <Items>
                <dx:MenuItem DropDownMode="True" Name="btnExcel" Text="Excel" 
                    ToolTip="Export to Excel">
                </dx:MenuItem>
            </Items>
        </dx:ASPxPopupMenu>
</div>
<hr class="clear" />

</asp:Content>

<asp:Content ID="Content5" ContentPlaceHolderID="footerContent" runat="server">
    <table cellpadding="0" cellspacing="2" width="80%"  style="float:left">
        <tr>
            <td>
                <dx:aspxbutton ID="btnFilter" runat="server" Text="Filter Options" 
                    Width="100%" ClientInstanceName="btnFilter" EnableClientSideAPI="True" 
                    ToolTip="click here to Alter Report Filter Options" AutoPostBack="False">
                    <ClientSideEvents Click="function(s, e) {
	e.processOnServer = false;
    cbPanel.PerformCallback('Filter');
}" />
                </dx:aspxbutton>
            </td>
             <td>
            <dx:aspxbutton ID="btnRefresh" runat="server" Text="Refresh" Width="100%" 
                     ClientInstanceName="btnRefresh" ToolTip="click here to Refresh the List" 
                     AutoPostBack="False">
                <ClientSideEvents Click="function(s, e) {
	e.processOnServer = false;
	OnRefresh();
}" />
            </dx:aspxbutton>             
            </td>
             <td>
                 <dx:ASPxButton ID="btnExport" runat="server" Text="Export..." Width="100%" 
                     AutoPostBack="False" ClientInstanceName="btnExport" EnableClientSideAPI="True">
                     <ClientSideEvents Click="function(s, e) {
	Export(s);
}" />
                 </dx:ASPxButton>
            </td>
            <td nowrap="nowrap" style="color:black">Auto-Refresh:</td>
            <td><dx:ASPxSpinEdit ID="spnRefresh" runat="server" Height="21px" Number="0" 
                    Width="100%" ClientInstanceName="spnRefresh" EnableClientSideAPI="True" 
                    MaxValue="200"></dx:ASPxSpinEdit></td>
        </tr>
    </table>
    </asp:Content>

<asp:Content ID="Content8" ContentPlaceHolderID="hiddenControlsContent" runat="server">
            <dx:aspxcallback ID="cbPanel" runat="server" ClientInstanceName="cbPanel" 
            oncallback="cbPanel_Callback">
                <ClientSideEvents BeginCallback="function(s, e) 
{	
	CallbackStartTimer(e);
}" CallbackComplete="function(s, e) 
{
	CallbackComplete(e);
}" EndCallback="function(s, e) 
{
}" CallbackError="function(s, e) {
	CallbackTimerError(e);
}" />
        </dx:aspxcallback>
     <dx:ASPxHiddenField ID="hdnField" runat="server" ClientInstanceName="hdnField">
     </dx:ASPxHiddenField>
                         <dx:ASPxLoadingPanel ID="cbLoading" runat="server" 
         ClientInstanceName="cbLoading" Modal="True">
     </dx:ASPxLoadingPanel>
                    <dx:ASPxPopupControl ID="popupWin" runat="server" ClientInstanceName="popupWin" 
        CloseAction="CloseButton" EnableClientSideAPI="True" 
        PopupHorizontalAlign="WindowCenter" PopupVerticalAlign="WindowCenter" Modal="True" 
                ShowPageScrollbarWhenModal="True" ShowSizeGrip="True" AllowResize="True" 
                AutoUpdatePosition="True" EnableAnimation="true" AllowDragging=true>
                        <ContentStyle>
                            <Paddings Padding="0px" />
                        </ContentStyle>
                        <ContentCollection>
<dx:PopupControlContentControl runat="server"></dx:PopupControlContentControl>
</ContentCollection>
                        <ClientSideEvents CloseUp="function(s, e) {
	// routine to handle the result from the popup
	PopupResultTimer(e);
}" PopUp="function(s, e) 
{
	ShowLoading();
}" Shown="function(s, e) 
{
	    ClearTimer(e);
	HideLoading();
}" />
    </dx:ASPxPopupControl>

            </asp:Content>




