﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Transactions.ascx.cs" Inherits="MQAWeb.Forms.FTE.Agents.Widgets.Transactions" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<script language=javascript type="text/javascript">
    function OnCancelAll() 
    {
        // routine to request cancellation of all active transactions
        if (!grdTrans.InCallback()) 
        {
            var agree = confirm('Are you sure you want to Request Cancellation of All Transactions ?');
            if (agree) 
                grdTrans.PerformCallback('CancelAll');
        }
    }
    function OnCancel(e, key)
    {
        // routine to cancel the recod
        e.processOnServer = false;
        if (!grdTrans.InCallback()) 
        {
            var agree = confirm('Are you sure you want to Request Cancellation of Transaction ' + key + '  ?');
            if (agree)
                grdTrans.PerformCallback('Cancel|' + key);
        }
    }
    function OnView(e, key) 
    {
        // routine to show the transaction View
        var baseUrl = '<%=ResolveUrl("~/Forms/")%>';
        ShowFTETransView(baseUrl, key); 
    }
    </script>
        <dx:ASPxGridView ID="grdTrans" runat="server" AutoGenerateColumns="False" 
            ClientInstanceName="grdTrans" Width="100%" 
    KeyFieldName="TransactionId" oncustomcallback="grdTrans_CustomCallback" 
    onhtmlrowcreated="grdTrans_HtmlRowCreated">
            <Templates>
                <FooterRow>
                    <dx:ASPxButton ID="btnCancelAll" runat="server" 
                        ClientInstanceName="btnCancelAll" EnableClientSideAPI="True" 
                        Text="Cancel All Transactions" 
                        ToolTip="click here to Request Cancellation of all Transactions" 
                        AutoPostBack="False" Wrap="False" Visible="True">
                        <ClientSideEvents Click="function(s, e) {
	OnCancelAll();
}" />
                    </dx:ASPxButton>
                </FooterRow>
            </Templates>
            <SettingsBehavior ColumnResizeMode="Control" />
            <ClientSideEvents CallbackError="function(s, e) {
		 e.handled = true;
	 handleAjaxResponse(e.message);

}" />
            <Columns>
                <dx:GridViewDataTextColumn VisibleIndex="0" 
                    FieldName="TransactionId" Name="colTransId" ReadOnly="True" Width="40%" 
                    Caption="Transaction Id">
                </dx:GridViewDataTextColumn>
                 <dx:GridViewDataTextColumn Caption="Status" FieldName="Status" 
                    ReadOnly="True" VisibleIndex="1" Name="colTransStatus" Width="40%">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Operation" ReadOnly="True" VisibleIndex="2" 
                    Width="20%" Name="colTransOper">
                    <DataItemTemplate>
                        <table width="100%">
                            <tr>
                                <td>
                                    <dx:ASPxButton ID="btnViewTrans" runat="server" AutoPostBack="False" 
                                        Text="View..." ToolTip="click here to View Transaction Information" Width="100%">
                                    </dx:ASPxButton>
                                </td>
                                <td>
                                                                       <dx:ASPxButton ID="btnCancel" runat="server" AutoPostBack="False" 
                                        Text="Cancel..." 
                                        ToolTip="click here to Request Cancellation of the Transaction" Width="100%">
                                    </dx:ASPxButton>
</td>
                            </tr>
                        </table>

                    </DataItemTemplate>
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="DBLogged" FieldName="IsDBLogged" 
                    ReadOnly="True" Visible="False" VisibleIndex="3">
                </dx:GridViewDataTextColumn>
            </Columns>
            <Settings ShowFilterBar="Auto" 
                ShowHorizontalScrollBar="True" ShowVerticalScrollBar="True" 
                VerticalScrollableHeight="350" ShowFooter="True" />
        </dx:ASPxGridView>        