﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="MetaDataFilter.ascx.cs" Inherits="MQAWeb.Forms.FTE.Reporting.Widgets.MetaDataFilter" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxLoadingPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallbackPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxRoundPanel" tagprefix="dx" %>
<script type="text/javascript">

    function OnMSSaveMetaData() 
    {
        // routine to validate the screen before committing
        if (grdMSData.IsEditing() == true) 
            grdMSData.UpdateEdit();
        cbPanel.PerformCallback('dialogSave');
    }
    function OnMSSaveFavorite(e) 
    {
        // routine to allow the user to save a favorite
        e.processOnServer = false;
        var name = cmbMSFavorites.GetText();
        var baseUrl = '<%=ResolveUrl("~/Forms/")%>';
        ShowInput(baseUrl, 'Favorite Name', name, 'Favorite');
    }
    function OnMSClearFilters(e) 
    {
        // routine to clear all filters
        e.processOnServer = false;
        var agree = confirm('Are you sure you wish to Clear all Current Meta-Data Filters ?');
        if (agree) 
        {
            // update the grid 
            grdMSData.PerformCallback('ClearAll');
        }

    }

    function OnMSAddKeyword(e) 
    {
        // routine to allow the user to add a keyword
        e.processOnServer = false;
        var baseUrl = '<%=ResolveUrl("~/Forms/")%>';
        ShowInput(baseUrl, 'Keyword', '', 'Keyword');
    }
    function OnMSFavoriteSelect(e) 
    {
        // routine to change the buttons and the grid when the user has selected a favorite
        e.processOnServer = false;
        btnMSFavoriteDelete.SetEnabled(false);
        btnMSFavoriteAdd.SetEnabled(false);
        
        if (cmbMSFavorites.GetSelectedItem() != null) 
        {
            btnMSFavoriteDelete.SetEnabled(true);
            btnMSFavoriteAdd.SetEnabled(true);
            
            // update the grid 
            grdMSData.PerformCallback('FavoriteSelect!' + cmbMSFavorites.GetSelectedItem().value);
        }
    }
    function OnMSFavoriteDelete(e) 
    {
        // routine to delete the selected favorite
        var agree = confirm('Are you sure you wish to Delete the Selected Favorite ?');
        if (agree) {
            var name = cmbMSFavorites.GetSelectedItem().value;
            cbpMSFavorites.PerformCallback('Delete!' + name);
        }
    }
    function OnMSFavoriteClearAll(e) 
    {
        // routine to delete all favorites
        var agree = confirm('Are you sure you wish to Delete All Favorites stored ?');
        if (agree) 
        {
            cbpMSFavorites.PerformCallback('ClearAll');
        }
    }


    function OnMSKeywordSelect(e) 
    {
        // routine to change the buttons when  the user has selected a keyword
        e.processOnServer = false;
        if (cmbMSKeywords.GetSelectedItem() != null)
            btnMSKeywordDelete.SetEnabled(true);
        else
            btnMSKeywordDelete.SetEnabled(false);
    }

    function OnMSKeywordDelete(e) 
    {
        // routine to delete the selected keyword
        var agree = confirm('Are you sure you wish to Delete the Selected Keyword ?');
        if (agree) 
        {
            var name = cmbMSKeywords.GetSelectedItem().value;
            cbpMSKeywords.PerformCallback('Delete!' + name);
        }
    }

    function OnMSKeywordClearAll(e) 
    {
        // routine to delete all keywords
        var agree = confirm('Are you sure you wish to Delete All Keywords stored ?');
        if (agree) 
        {
            cbpMSKeywords.PerformCallback('ClearAll');
        }
    }


    </script>
    <table width="100%" cellpadding="3" cellspacing="2" border="0">
     <tr>
    <td nowrap="nowrap">
        <dx:ASPxCallbackPanel ID="cbpMSFavorites" runat="server" 
            ClientInstanceName="cbpMSFavorites" Width="100%" 
            oncallback="cbpMSFavorites_Callback">
            <PanelCollection>
<dx:PanelContent runat="server"><dx:ASPxRoundPanel ID="pnlMSFavorites" runat="server" 
                    HeaderText="My Favorites" Width="100%"><panelcollection>
<dx:PanelContent runat="server">
<table cellpadding="2" cellspacing="0" width="100%">
<tr>
<td colspan="3"> 
   <dx:ASPxComboBox ID="cmbMSFavorites" runat="server" 
        ClientInstanceName="cmbMSFavorites" EnableClientSideAPI="True" TextField="Name" 
        ValueField="Name" ValueType="System.String" Width="100%">
<clientsideevents selectedindexchanged="function(s, e) 
   {
   OnMSFavoriteSelect(e);
}"></clientsideevents>
</dx:ASPxComboBox>










</td>
</tr>
<tr>
<td>    <dx:ASPxButton ID="btnMSFavoriteAdd" runat="server" ClientEnabled="False" 
        ClientInstanceName="btnMSFavoriteAdd" EnableClientSideAPI="True" Text="Save..." 
        ToolTip="click here to save the Current Selection to a Favorite" 
        Width="100%" AutoPostBack="False">
    <ClientSideEvents Click="function(s, e) {
	OnMSSaveFavorite(e);
}" />
    </dx:ASPxButton>










</td>
<td>
    <dx:ASPxButton ID="btnMSFavoriteDelete" runat="server" AutoPostBack="False" 
        ClientEnabled="False" ClientInstanceName="btnMSFavoriteDelete" 
        EnableClientSideAPI="True" Text="Delete..." 
        ToolTip="click here to Delete the Selected Favorite" Width="100%">
        

<clientsideevents click="function(s, e) {
	OnMSFavoriteDelete(e);
}"></clientsideevents>
        

</dx:ASPxButton>










</td>
<td>
    <dx:ASPxButton ID="btnMSFavoriteClear" runat="server" AutoPostBack="False" 
        ClientEnabled="False" ClientInstanceName="btnMSFavoriteClear" 
        EnableClientSideAPI="True" Text="Clear All..." Width="100%">
        

<clientsideevents click="function(s, e) {
	OnMSFavoriteClearAll(e);
}"></clientsideevents>

        

</dx:ASPxButton>














</td>
</tr>
</table>
                </dx:PanelContent>
</panelcollection>
</dx:ASPxRoundPanel>

         


         


         


         </dx:PanelContent>
</PanelCollection>
            <ClientSideEvents CallbackError="function(s, e) {
	CallbackError(e);
}" />
        </dx:ASPxCallbackPanel>
         </td>
    <td width="50%">
        <dx:ASPxCallbackPanel ID="cbpMSKeywords" runat="server" 
            ClientInstanceName="cbpMSKeywords" Width="100%" 
            oncallback="cbpMSKeywords_Callback">
            <PanelCollection>
<dx:PanelContent runat="server"><dx:ASPxRoundPanel ID="pnlMSKeywords" runat="server" 
                    HeaderText="My Keywords" Width="100%"><panelcollection>
<dx:PanelContent runat="server">
<table cellpadding="2" cellspacing="0" width="100%">
<tr>
<td colspan="3"> 
   <dx:ASPxComboBox ID="cmbMSKeywords" runat="server" 
        ClientInstanceName="cmbMSKeywords" EnableClientSideAPI="True" 
        ValueType="System.String" Width="100%">
<clientsideevents selectedindexchanged="function(s, e) 
   {
   OnMSKeywordSelect(e);
}"></clientsideevents>
</dx:ASPxComboBox>










</td>
</tr>
<tr>
<td>    
    <dx:ASPxButton ID="btnMSKeywordAdd" runat="server" 
        ClientInstanceName="btnMSKeywordAdd" EnableClientSideAPI="True" Text="New..." 
        ToolTip="click here to add a New Keyword" Width="100%" 
        AutoPostBack="False">
        <ClientSideEvents Click="function(s, e) {
	OnMSAddKeyword(e);
}" />
    </dx:ASPxButton>










</td>
<td>
    <dx:ASPxButton ID="btnMSKeywordDelete" runat="server" AutoPostBack="False" 
        ClientEnabled="False" ClientInstanceName="btnMSKeywordDelete" 
        EnableClientSideAPI="True" Text="Delete..." 
        ToolTip="click here to Delete the Selected Keyword" Width="100%">
<clientsideevents click="function(s, e) {
	OnMSKeywordDelete(e);
}"></clientsideevents>
</dx:ASPxButton>










</td>
<td>
    <dx:ASPxButton ID="btnMSKeywordClear" runat="server" AutoPostBack="False" 
        ClientEnabled="False" ClientInstanceName="btnMSKeywordClear" 
        EnableClientSideAPI="True" Text="Clear All..." Width="100%">
<clientsideevents click="function(s, e) {
	OnMSKeywordClearAll(e);
}"></clientsideevents>
</dx:ASPxButton>














</td>
</tr>
</table>
                </dx:PanelContent>
</panelcollection>
</dx:ASPxRoundPanel>

     


     


     


     </dx:PanelContent>
</PanelCollection>
            <ClientSideEvents CallbackError="function(s, e) {
	CallbackError(e);
}" />
        </dx:ASPxCallbackPanel>
     </td>
  </tr>
  <tr><td colspan="2">
  <dx:ASPxGridView ID="grdMSData" runat="server" AutoGenerateColumns="False" 
            ClientInstanceName="grdMSData" Width="100%" KeyFieldName="Key;OperatorInt;Value" 
          EnableRowsCache="False" 
          oncelleditorinitialize="grdMSData_CellEditorInitialize" 
          oninitnewrow="grdMSData_InitNewRow" onrowdeleting="grdMSData_RowDeleting" 
          onrowinserting="grdMSData_RowInserting" onrowupdating="grdMSData_RowUpdating" 
          onrowvalidating="grdMSData_RowValidating" 
          onhtmlrowprepared="grdMSData_HtmlRowPrepared" 
          oncustomcallback="grdMSData_CustomCallback">
            <templates>
                <footerrow>
                    <dx:ASPxButton ID="btnMSClearAll" runat="server" AutoPostBack="False" 
                        ClientEnabled="False" ClientInstanceName="btnMSClearAll" 
                        EnableClientSideAPI="True" Text="Clear All..." 
                        ToolTip="Click here to Clear the Current Filters">
                        <ClientSideEvents Click="function(s, e){OnMSClearFilters(e);}" />
                    </dx:ASPxButton>
                </footerrow>
            </templates>
            <settingsbehavior allowdragdrop="False" confirmdelete="True">
            </settingsbehavior>
            <settingspager mode="ShowAllRecords">
            </settingspager>
            <ClientSideEvents EndCallback="function(s, e) {
		if (grdMSData.cpAction != null)
		handleAjaxResponse(grdMSData.cpAction);

}" />
            <Columns>
                <dx:GridViewCommandColumn Caption="Action" VisibleIndex="0" Width="20%">
                    <editbutton visible="True">
                    </editbutton>
                    <newbutton visible="True">
                    </newbutton>
                    <deletebutton visible="True">
                    </deletebutton>
                    <HeaderStyle HorizontalAlign="Center" />
                </dx:GridViewCommandColumn>
                <dx:GridViewDataComboBoxColumn Caption="Element" FieldName="Key" 
                    Name="colMSElement" VisibleIndex="1" Width="30%">
                    <propertiescombobox valuetype="System.String" DropDownStyle="DropDown">
                    </propertiescombobox>
                    <EditCellStyle Wrap="True">
                    </EditCellStyle>
                    <CellStyle Wrap="True">
                    </CellStyle>
                </dx:GridViewDataComboBoxColumn>
                <dx:GridViewDataComboBoxColumn Caption="Operator" FieldName="OperatorInt" 
                    Name="colMSOper" VisibleIndex="2" Width="20%">
                    <propertiescombobox valuetype="System.Int32" textfield="Description" 
                        valuefield="Value">
                        <Items>
                            <dx:ListEditItem Text="Equals" Value="0" />
                            <dx:ListEditItem Text="Starts With" Value="1" />
                            <dx:ListEditItem Text="Ends With" Value="2" />
                            <dx:ListEditItem Text="Contains" Value="3" />
                        </Items>
                    </propertiescombobox>
                </dx:GridViewDataComboBoxColumn>
                <dx:GridViewDataTextColumn VisibleIndex="3" 
                    FieldName="Value" Name="colMSValue" Width="30%" 
                    Caption="Value">
                    <EditCellStyle Wrap="True">
                    </EditCellStyle>
                    <CellStyle Wrap="True">
                    </CellStyle>
                </dx:GridViewDataTextColumn>
            </Columns>
            <Settings 
                ShowHorizontalScrollBar="True" ShowVerticalScrollBar="True" showfooter="True" 
                showgroupbuttons="False" VerticalScrollableHeight="100" />
        </dx:ASPxGridView>        
  </td></tr>
  </table>