﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="FTETemplate.ascx.cs" Inherits="MQAWeb.Forms.Send.Widgets.FTETemplate" %>
<%@ Register Assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxRoundPanel" TagPrefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1.Export, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView.Export" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxMenu" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxTabControl" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxClasses" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxHiddenField" tagprefix="dx" %>
    <%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPanel" tagprefix="dx" %>
    <%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallbackPanel" tagprefix="dx" %>
    <%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridLookup" tagprefix="dx" %>
    <script type="text/javascript">
        function OnStartPropGridEdit(key)
        {
            // routine to automatically start editing
            if (grdItemData.IsEditing())
                return false;
            alert(key + ' Value has not been defined');
            grdItemData.StartEditRowByKey(key);
        }

    function OnShowTransactionMessage(transactionId) 
    {
        // routine to show the message when the transaction has been submitted successfully
        var baseUrl = '<%=ResolveUrl("~/Forms/")%>';
        var filterString = 'FTE Transaction ' + transactionId;
        var transUrl = '~transactionId=' + transactionId;
        var message = '<a href=\"javascript:ShowFTEDetailViewWin(\'' + baseUrl + '\',\'' + filterString + '\',\'' + transUrl + '\');\">Transaction Id: ' + transactionId + '</a>';
        ShowMessage(baseUrl, 'Submission Successful', message, 600, 200);
    }
    function OnValidateSubmit() 
    {
        // routine to validate the screen before uploading       
        if (cmbFTETemplate.GetText() == '') 
        {
            alert('Please select a FTE Transfer Template');
            cmbFTETemplate.Focus();
            return false;
        }
        if (txtJobName.GetText() == '')
        {
            alert('Please capture Job Name');
            txtJobName.Focus();
            return false;
        }
        if (cmbSourceAgent.GetText() == '') 
        {
            alert('Please select a Source Agent');
            cmbSourceAgent.Focus();
            return false;
        }
        if (cmbDestAgent.GetVisible() && cmbDestAgent.GetText() == '') 
        {
            alert('Please select a Destination Agent');
            cmbDestAgent.Focus();
            return false;
        }
        if (grdItemData.IsEditing() == true) 
        {
            alert('Please complete Row Editing');
            return false;
        }
        if (grdItemData.GetVisibleRowsOnPage() <= 0) 
        {
            alert('Grid Items must be specified');
            return false;
        }
        cbPanel.PerformCallback('dialogSave');
        return true;
    }
    function OnScheduleUpdate(e) 
    {
        // routine to allow the user to change the Transfer Scheduling Information
        e.processOnServer = false;
        var url = '<%=ResolveUrl("~/Forms/frmDialog.aspx")%>?UserControl=~/Forms/Send/Widgets/FTESchedule.ascx';
        var title = 'Transfer Scheduling Information';
        url += '&Title=' + title;
        url += '&SubTitle=Please provide the Transfer Scheduling Information';
        showPopupWindow(popupWin, null, url, title, 500, 420, 100, 50);
    }
    function OnScheduleClear(e)
    {
         // routine to clear any active scheduling information
         e.processOnServer = false;
         var agree = confirm('Are you sure you wish to Clear Scheduling Information ?');
        if (agree)
            cbPanel.PerformCallback('ScheduleClear');
    }
    function OnUpdateScheduleLinks(visible)
     {
         // routine to clear any active scheduling information
         if (!visible)
             linkSchedule.SetText('Add Scheduling Information...');
         else
             linkSchedule.SetText('Amend Scheduling Information...');
         linkClearSchedule.SetVisible(visible);
         cbTransMemo.PerformCallback();
    }

    function OnTemplateSaveAs() 
    {
        // routine to save the template information as new
        var url = '<%=ResolveUrl("~/Forms/frmDialog.aspx")%>?UserControl=~/Forms/Admin/User/UserTemplateSave.ascx';
        var title = 'Template Save Parameters';
        url += '&Title=' + title;
        url += '&SubTitle=Please provide the Template Information&noCode=1';
        showPopupWindow(popupWin, null, url, title, 500, 225, 100, 50);
    }
    function OnTemplateDelete() 
    {
        // routine to delete the selected template
        var agree = confirm('Are you sure you wish to Delete this Saved Template ?');
        if (agree) 
        {
            var grid = cmbFTETemplate.GetGridView();
            var key = grid.GetRowKey(grid.GetFocusedRowIndex());
            cbpTemplate.PerformCallback('TSDelete|' + key);
        }
    }
    
    function OnPopupMenuItem(e) 
    {
        // routine to handle menu item invoke on the server side
        var name = e.item.name;
        e.processOnServer = false;
        if (name == 'mnuSaveAs')
            OnTemplateSaveAs();
        if (name == 'mnuSave')
            cbPanel.PerformCallback('TSSave');
        if (name == 'mnuDelete')
            OnTemplateDelete();
    }

    function OnPopupUpdateDelete() 
    {
        // routine to update the Popup Template Options when a Template is Deleted
        cmbFTETemplate.SetValue(null);
        OnPopupMenuUpdate(1)
        alert('Template Deleted Successfully');
        cbpData.PerformCallback('Clear');
    }
    function OnPopupMenuUpdate(type) 
    {
        // routine to update the Popup Template Options when a Template is Saved
        var item = mnuTemplate.GetItemByName('mnuDelete');
        if (item != null)
            item.SetVisible((type == 0));
        item = mnuTemplate.GetItemByName('mnuSave');
        if (item != null)
            item.SetVisible((type == 0));
    }
    function OnCancelSubmit() 
    {
        window.parent.hdnField.Set('PopupResult', '');
        window.parent.popupWin.Hide();
    }
    function GetSelectedRow(e) 
    {
        // routine to get the selected row in the Table
        var grid = cmbFTETemplate.GetGridView();
        e.processOnServer = false;
        var key = grid.GetRowKey(e.visibleIndex);
        cmbFTETemplate.SetValue(key);
        grid.GetRowValues(e.visibleIndex, 'Description;Code;Area', OnGetRowValues);
    }
    function OnGetRowValues(values) 
    {
        // routine to update the selection when the template changes
        cmbFTETemplate.HideDropDown();
        cmbFTETemplate.SetText(values[0]);
        cbpData.PerformCallback(values[1] + '|' + values[2]);
    }
</script>

    <table width="100%" cellpadding="2" cellspacing="2" border=0>
    <tr>

<td width="10%" nowrap="nowrap">FTE Pattern:</td>
<td> 
    <dx:ASPxCallbackPanel ID="cbpTemplate" runat="server" 
        ClientInstanceName="cbpTemplate" Width="100%" 
        oncallback="cbpTemplate_Callback">
        <PanelCollection>
<dx:PanelContent runat="server">
    <dx:ASPxGridLookup ID="cmbFTETemplate" runat="server" 
        AutoGenerateColumns="False" ClientInstanceName="cmbFTETemplate" 
        EnableClientSideAPI="True" KeyFieldName="Code" ReadOnly="True" 
        Width="100%" TextFormatString="{0}">
        <GridViewProperties>
            <SettingsBehavior AllowDragDrop="False" AllowFocusedRow="True" 
                AllowGroup="False" AllowSelectByRowClick="True" AllowSelectSingleRowOnly="True" 
                AutoExpandAllGroups="False" />
            <SettingsPager Mode="ShowAllRecords">
            </SettingsPager>
            <Settings GroupFormat="{1} Patterns" VerticalScrollableHeight="200" ShowVerticalScrollBar=true/>
        </GridViewProperties>
        <Columns>
            <dx:GridViewDataTextColumn Caption="Description" FieldName="Description" 
                Name="colTemplateDesc" ReadOnly="True" VisibleIndex="0" Width="25%">
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn Caption="Source Agent" FieldName="SourceAgent" 
                Name="colTemplateSource" ReadOnly="True" VisibleIndex="1" Width="25%">
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn Caption="Destination Agent" FieldName="DestAgent" 
                ReadOnly="True" VisibleIndex="2" Width="25%">
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn Caption="Transfer Type" 
                FieldName="TransferTypeDisplay" Name="colTransferTypeDisplay" ReadOnly="True" 
                VisibleIndex="3" Width="25%">
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn Caption="Storage Area" FieldName="Area" 
                GroupIndex="0" Name="colTemplateStorageArea" ReadOnly="True" SortIndex="0" 
                SortOrder="Ascending" VisibleIndex="4">
            </dx:GridViewDataTextColumn>
            <dx:GridViewDataTextColumn Caption="Id" FieldName="Code" Name="colTemplateId" 
                ReadOnly="True" Visible="False" VisibleIndex="5">
            </dx:GridViewDataTextColumn>
        </Columns>
<ClientSideEvents RowClick="function(s, e){
GetSelectedRow(e);}" />
    </dx:ASPxGridLookup>
            </dx:PanelContent>
</PanelCollection>
        <ClientSideEvents EndCallback="function(s, e) 
{
	e.processOnServer = false;
	if (cmbFTETemplate.cpAction != null &amp;&amp; cmbFTETemplate.cpAction != '')
		handleAjaxResponse(cmbFTETemplate.cpAction);
}" />
    </dx:ASPxCallbackPanel>

</td>
</tr>
    <tr>
        <td nowrap="nowrap" colspan="2">        
        <dx:ASPxCallbackPanel ID="cbpData" runat="server" 
            ClientInstanceName="cbpData" Width="100%" 
            oncallback="cbpData_Callback">
            <PanelCollection>
<dx:PanelContent ID="PanelContent1" runat="server">
<table width="100%" cellpadding="0" cellspacing="2" border=0>
<tr>
<td colspan="2">
    <dx:ASPxRoundPanel ID="pnlTransferSet" runat="server" 
                    HeaderText="Transfer Details" Width="100%" Height="95%"><panelcollection>
<dx:PanelContent ID="PanelContent2" runat="server">
<table cellpadding="0" cellspacing="2" width="100%">
<tr>
<td width="10%">Source Agent:</td>
<td> 
   <dx:ASPxComboBox ID="cmbSourceAgent" runat="server" 
        ClientInstanceName="cmbSourceAgent" EnableClientSideAPI="True" TextField="NameATQM" 
        ValueField="NameATQM" ValueType="System.String" Width="100%">
</dx:ASPxComboBox>
</td>
</tr>
<tr>

<td><dx:ASPxLabel ID="lblDestination" runat="server" Text="Destination:"></dx:ASPxLabel>
</td>
<td> 
   <dx:ASPxComboBox ID="cmbDestAgent" runat="server" 
        ClientInstanceName="cmbDestAgent" EnableClientSideAPI="True" TextField="NameATQM" 
        ValueField="NameATQM" ValueType="System.String" Width="100%">
</dx:ASPxComboBox>
    <dx:ASPxTextBox runat="server" Width="100%" ClientInstanceName="txtTarget" 
    EnableClientSideAPI="True" ID="txtTarget" ClientVisible="False"></dx:ASPxTextBox>
</td>
</tr>

<tr>
<td>Job Name:</td>
<td>
    <dx:ASPxTextBox ID="txtJobName" runat="server" ClientInstanceName="txtJobName" 
        EnableClientSideAPI="True" Width="100%">
    </dx:ASPxTextBox>
</td>
</tr>
<tr style="height:20px">

<td nowrap=nowrap>
    <dx:ASPxHyperLink ID="linkSchedule" runat="server" 
        Text="Amend Scheduling Information..." ClientInstanceName="linkSchedule" 
        EnableClientSideAPI="True" ClientVisible="False">
        <ClientSideEvents Click="function(s, e) 
                                  {
                                  OnScheduleUpdate(e);
}" />
    </dx:ASPxHyperLink>
    &nbsp
</td>
<td nowrap=nowrap>
    <dx:ASPxHyperLink ID="linkClearSchedule" runat="server" 
        Text="Clear Scheduling Information" ClientInstanceName="linkClearSchedule" 
        EnableClientSideAPI="True" ClientVisible="False">
        <ClientSideEvents Click="function(s, e) 
                                  {
                                  OnScheduleClear(e);
}" />
    </dx:ASPxHyperLink>

</td>
</tr>
</table>
                </dx:PanelContent>
</panelcollection>
</dx:ASPxRoundPanel>
</td>
</tr>
    <tr><td colspan="2">
        <asp:PlaceHolder ID="placeGrid" runat="server"></asp:PlaceHolder>
    </td></tr>
  <tr style="font-weight:bold; font-family: arial, Helvetica, sans-serif; background-color: #C0C0C0; color: #FFFFFF;">
  <td width="50%">Template XML</td><td>Transfer XML</td>
  </tr>
  <tr>
  <td>
      <dx:ASPxMemo ID="memTransXML" runat="server" Height="90px" 
          Font-Names="Courier New" ReadOnly="True" ClientInstanceName="memTransXML" 
          EnableClientSideAPI="True" CssClass="nowrapre" Width="100%">
      </dx:ASPxMemo>
  </td>
    <td>
        <dx:ASPxCallbackPanel ID="cbTransMemo" runat="server" Width="100%" 
            ClientInstanceName="cbTransMemo" OnCallback="cbTransMemo_Callback">
                        <ClientSideEvents CallbackError="function(s, e) {
	CallbackError(e);
}" />

            <PanelCollection>
<dx:PanelContent runat="server">
    <dx:ASPxMemo ID="memFTEXML" runat="server" ClientInstanceName="memFTEXML" 
        EnableClientSideAPI="True" Font-Names="Courier New" Height="90px" 
        ReadOnly="True" CssClass="nowrapre" Width="100%">
    </dx:ASPxMemo>
                </dx:PanelContent>
</PanelCollection>
        </dx:ASPxCallbackPanel>
  </td>
  </tr>
  <tr style="font-weight:bold; font-family: arial, Helvetica, sans-serif; background-color: #C0C0C0; color: #FFFFFF;">
  <td>&nbsp</td>
  <td><dx:ASPxButton ID="btnUpdateFTEXML" runat="server" Text="Refresh..." 
          AutoPostBack="False" ClientInstanceName="btnUpdateFTEXML" 
          EnableClientSideAPI="True" 
          ToolTip="click here to View Updated Managed Transfer XML..." 
          ClientVisible="False">
                                  <ClientSideEvents Click="function(s, e) 
                                  {
                                  e.processOnServer = false;
	cbTransMemo.PerformCallback();
}" />

          </dx:ASPxButton></td>
  </tr>
  </table>
         </dx:PanelContent>
</PanelCollection>
            <ClientSideEvents CallbackError="function(s, e) {
	CallbackError(e);
}" EndCallback="function(s, e) {
	e.processOnServer = false;
	if (cbpData.cpAction != null &amp;&amp; cbpData.cpAction != '')
		handleAjaxResponse(cbpData.cpAction);
}" />
        </dx:ASPxCallbackPanel>
         </td>

  </tr>  
  </table>

